#!/bin/bash
# Flvcd网站，解析视频真实地址的url前缀，后面跟上优酷视频ID即可
Flvcd="http://www.flvcd.com/parse.php?format=&kw=http%3A%2F%2Fv.youku.com%2Fv_show%2Fid_"
# 优酷搜索url前缀
Youku_search="http://www.soku.com/search_video/q_"
#-----------------------------解析优酷视频真实地址-----------------------------
# 如果网页FLASH很卡，直接粘贴优酷网址解析，调用mplayer播放
url(){
		Url_input_tmp1=/tmp/urlinput.1
whiptail --title "优 酷 视 频" --inputbox "\n\n如果FLASH很卡\n粘贴优酷视频网址，回车即可收看" 17 65 2>$Url_input_tmp1
Url_input_back=$?
case $Url_input_back in
0)
# 截取视频ID
ID_YOUKU=`cat $Url_input_tmp1 |awk -F '_' '{print $3}'` ; rm $Url_input_tmp1
# 调用FLVCD解析结果
Url_playlist=/tmp/urlplaylist
curl "$Flvcd$ID_YOUKU" 2>/dev/null|grep f.youku| awk '{print $4}' |sed -e 's/value="//' -e's/|\"\/\>//'|sed 's/|http/ http/g' >$Url_playlist
# 生成M3U播放列表
sed -i -e 's/target="_blank"//g' -e 's/onclick="_alert();return//g' -e 's/class="link"//' -e 's/^\=//' -e 's#|"/>##g' $Url_playlist
sed -i '/^$/d' $Url_playlist
sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Url_playlist
# 调用Mplayer读取播放列表
mplayer -fs -stop-xscreensaver -playlist $Url_playlist >&/dev/null ; rm $Url_playlist
youku_menu
;;
1|255) 
youku_menu
esac
}

#-----------------------------搜索电视剧函数-----------------------------
tv(){
		Tv_tmp1=/tmp/tv.tmp1 # 储存输入的电视名
		Tv_tmp2=/tmp/tv.tmp2 # 储存同名电视剧的剧名和第一集网址
		Tv_tmp3=/tmp/tv.tmp3 # 生成选择电视剧菜单，选择结果写入Tv_tmp5
		Tv_tmp4=/tmp/tv.tmp4 # 临时储存if语句
		Tv_tmp5=/tmp/tv.tmp5 # 储存选择的电视名
		Tv_tmp6=/tmp/tv.tmp6 # 储存选择播放的电视剧的全集ID
		Tv_tmp7=/tmp/tv.tmp7 # 备用，如果ID是倒序排列，就用tac命令倒过来储存到这里
# 等待输入片名
whiptail --title "在 优 酷 搜 索 电 视 剧" --inputbox "\n\n搜索电视剧\n如：雪豹" 17 65 2>$Tv_tmp1
		Tv_input_back=$?
		TV_NAME=`<$Tv_tmp1` ; rm $Tv_tmp1 >&/dev/null # 将片名注入函数
		# 用16进制编码，将片名转化为URL格式
		TV_NAME_ASCII=`echo $TV_NAME|od -t x1 -A n -v -w | tr " " %|sed -e 's/[a-z]/\u&/g'|sed -e 's/%0A//'`

case $Tv_input_back in
0)
curl $Youku_search$TV_NAME_ASCII 2>/dev/null |grep "\<a href='http://v.youku.com/v_show/"|grep -v "<li class=\"ex\">"|awk -F "'" '{print $12"\t"$2}' >$Tv_tmp2
		Tv_name_nob=`cat $Tv_tmp2|wc -l`

# 生成选择电视剧菜单
echo -ne "whiptail --title \"搜索：$TV_NAME  找到$Tv_name_nob部电视剧\" --menu \" \" 17 65 0 ">$Tv_tmp3
for((Tvs=1;Tvs<=$Tv_name_nob;Tvs++))
do
echo -ne "\"`head -1 \$Tv_tmp2 |awk -F '\t' '{print \$1}'`\" \"\" " >>$Tv_tmp3
echo "if [ \"\$menu_n\" = \"`head -1 \$Tv_tmp2 |awk -F '\t' '{print \$1}'`\" ]; then" >>$Tv_tmp4
echo "Tvs_url_one=`head -1 \$Tv_tmp2 |awk -F '\t' '{print \$2}'`" >>$Tv_tmp4
echo -e "fi\n" >>$Tv_tmp4
sed -i '1d' $Tv_tmp2
done ; rm $Tv_tmp2 >&/dev/null
echo " 2>\$Tv_tmp5" >>$Tv_tmp3
echo Tvs_back=\$? >>$Tv_tmp3
echo "menu_n=\`<\$Tv_tmp5\`" >>$Tv_tmp3
echo "case \$Tvs_back in" >>$Tv_tmp3
echo "0)" >>$Tv_tmp3
cat $Tv_tmp4 >>$Tv_tmp3 2>/dev/null
echo ";;" >>$Tv_tmp3
echo "1|255)" >>$Tv_tmp3
echo "rm  $Tv_tmp3 $Tv_tmp4 $Tv_tmp5 >&/dev/null" >>$Tv_tmp3
echo youku_menu >>$Tv_tmp3
echo esac >>$Tv_tmp3
. $Tv_tmp3 ; rm $Tv_tmp3 $Tv_tmp4 >&/dev/null # 运行后得到已选择电视剧的(第一集)网址：Tvs_url_one


# 下载(第一集)网址，得到该电视剧的全集ID
curl $Tvs_url_one 2>/dev/null|grep title=\"第|awk -F '"' '{print $12"\t"$10}' >$Tv_tmp6
if [ `head -1 $Tv_tmp6 |grep 第1集|wc -l` -ne 1 ] ; then
tac $Tv_tmp6 >$Tv_tmp7
cat $Tv_tmp7 >$Tv_tmp6
else
cat $Tv_tmp6 >$Tv_tmp7
fi


# 生成电视剧全集菜单
		Tv_tmp8=/tmp/tv.tmp8 	# 用来生成电视剧全集菜单
		Tv_tmp9=/tmp/tv.tmp9 	# 临时储存if语句
		Tv_tmp10=/tmp/tv.tmp10 # 储存将要联播每集的ID
		Tv_tmp11=/tmp/tv.tmp11 # 储存选择那一集的电视名

		Tv_get_nob=`cat $Tv_tmp6|wc -l` # 计算有多少集
		Tv_get_name=`<$Tv_tmp5` ; rm $Tv_tmp5 >&/dev/null # 将选择的电视剧名字注入函数

echo -ne "whiptail --title \"电视剧：《$Tv_get_name》  已更新至$Tv_get_nob集\" --menu \" \" 0 65 0 ">$Tv_tmp8

	for((get=1;get<=$Tv_get_nob;get++)) ;do
	echo -ne "\"$Tv_get_name    ▶第$get集\" \"\" " >>$Tv_tmp8
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$Tv_get_name    ▶第$get集\" ]; then" >>$Tv_tmp9
echo "if [ \"$get\" -eq \"1\" ]; then" >>$Tv_tmp9
echo "echo \`cat \$Tv_tmp6|awk -F '\t' '{print \$2}'|awk -F '_' '{print \$2}'\` >\$Tv_tmp10">>$Tv_tmp9
echo -e "else" >>$Tv_tmp9
echo "echo \`cat \$Tv_tmp6|awk -F '\t' '{print \$2}'|awk -F '_' '{print \$2}'|sed '1,"`expr $get - 1`"d'\` >\$Tv_tmp10" >>$Tv_tmp9
echo -e "fi" >>$Tv_tmp9
	echo -e "fi\n" >>$Tv_tmp9
#------------------临时导出if/fi------------------
	done ; rm $Tv_tmp7 >&/dev/null

echo " 2>\$Tv_tmp11" >>$Tv_tmp8
echo Tv_get_back=\$? >>$Tv_tmp8
echo menu_n=\`\<\$Tv_tmp11\` >>$Tv_tmp8
echo "case \$Tv_get_back in" >>$Tv_tmp8
echo "0)" >>$Tv_tmp8
cat $Tv_tmp9 >>$Tv_tmp8 2>/dev/null ; rm $Tv_tmp9 >&/dev/null
echo ";;" >>$Tv_tmp8
echo "1|255)" >>$Tv_tmp8
echo "rm  $Tv_tmp6 $Tv_tmp8 $Tv_tmp11 >&/dev/null" >>$Tv_tmp8
echo youku_menu >>$Tv_tmp8
echo esac >>$Tv_tmp8
. $Tv_tmp8 ; rm $Tv_tmp6 $Tv_tmp8 $Tv_tmp11>&/dev/null



		Tv_tmp12=/tmp/tv.tmp12 # 重复储存每一集播放列表

trap 'rm $Tv_tmp10 $Tv_tmp12 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' $Tv_tmp10 # 重新排版ID库
Tv_ids_nob=`cat $Tv_tmp10|wc -l` # 计算有几个ID，就解析几次
	for (( c=1; c<=$Tv_ids_nob; c++ )) ;do
	curl "$Flvcd`head -1 $Tv_tmp10`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$Tv_tmp12

	# 生成M3U播放列表
	sed -i '/^$/d' $Tv_tmp12 2>/dev/null
	#sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Tv_tmp12 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $Tv_tmp12 >&/dev/null
	sed -i '1d' $Tv_tmp10 >/dev/null 2>&1
	done ; rm $Tv_tmp10 $Tv_tmp12 >&/dev/null
youku_menu
;;
1|255) 
youku_menu
esac
}


#-----------------------------搜索电影函数-----------------------------
movie(){
		Movie_tmp1=/tmp/movie.tmp1 # 储存输入的电影名字
		Movie_tmp2=/tmp/movie.tmp2 # 保存电影网址
		Movie_tmp3=/tmp/movie.tmp3 # 保存电影网址
		Flvcd="http://www.flvcd.com/parse.php?format=&kw=http%3A%2F%2Fv.youku.com%2Fv_show%2Fid_"
whiptail --title "在 优 酷 搜 索 电 影" --inputbox "\n\n搜索电影\n如：北京遇上西雅图" 17 65 2>$Movie_tmp1
abc=$?
case $abc in
0)
		# 将片名注入函数
		MOVIE_NAME=`<$Movie_tmp1`
		# 用16进制编码，将片名转化为URL格式
		MOVIE_NAME_ASCII=`cat $Movie_tmp1|od -t x1 -A n -v -w | tr " " %|sed -e 's/[a-z]/\u&/g'|sed -e 's/%0A//'` ; rm $Movie_tmp1 >&/dev/null

curl "$Youku_search$MOVIE_NAME_ASCII" 2>/dev/null|grep "s_btn btn_play"|grep "href=\"http://v.youku.com/v_show/" >$Movie_tmp2
Movie_url_nob=`cat $Movie_tmp2|wc -l` # 计算有几个电影
if [ $Movie_url_nob -eq 1 ] ; then
		# 截取电影ID
		ID_MOVIE=`cat $Movie_tmp2|awk -F '"' '{print $8}'|awk -F '_' '{print $3}'`
	# 调用FLVCD解析结果
	curl "$Flvcd$ID_MOVIE" 2>/dev/null|grep f.youku| awk '{print $4}' |sed -e 's/value="//' -e's/|\"\/\>//'|sed 's/|http/ http/g' >$Movie_tmp3
# 生成M3U播放列表
	sed -i -e 's/target="_blank"//g' -e 's/onclick="_alert();return//g' -e 's/class="link"//' -e 's/^\=//' -e 's#|"/>##g' $Movie_tmp3
	sed -i '/^$/d' $Movie_tmp3
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Movie_tmp3
	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Movie_tmp3 >&/dev/null ; rm $Movie_tmp3 >&/dev/null
elif [ $Movie_url_nob -gt 1 ] ; then
		Movie_menu1=/tmp/moviemenu.tmp1 # 多个电影的网址储存到这里
		Movie_menu2=/tmp/moviemenu.tmp2 # 用这个临时文件生成菜单界面：选择要播放的电影
		Movie_menu3=/tmp/moviemenu.tmp3 # 多个电影的名字和网址储存到这里
		Movie_menu4=/tmp/moviemenu.tmp4 # Movie_menu3的拷贝
		Movie_menu5=/tmp/moviemenu.tmp5 # 储存选中的电影名
		Movie_menu6=/tmp/moviemenu.tmp6 # 储存选中的电影的播放列表
	cat $Movie_tmp2|awk -F '"' '{print $8}' >$Movie_menu1
	# 生成菜单标题
	echo -ne "whiptail --title \"搜索：\$MOVIE_NAME  找到\$Movie_url_nob个电影\" --menu \" \" 17 65 0 " >$Movie_menu2
	    for((i=1;i<=$Movie_url_nob;i++))
	    do
	    curl `head -1 $Movie_menu1` 2>/dev/null |grep "\<a class=\"current\""|awk -F '"' '{print $6"\t"$4}' >>$Movie_menu3
	    sed -i '1d' $Movie_menu1 >&/dev/null
	    done ; rm $Movie_menu1 >&/dev/null

		for((i=1;i<=$Movie_url_nob;i++))
		do
		# 生成菜单项目
		echo -ne "\"`head -1 \$Movie_menu3|awk -F '\t' '{print \$1}'`\" \"\" " >>$Movie_menu2
		# 生成if判断语句，暂存到临时文件 Movie_menu4
		echo "if [ \"\$menu_n\" = \"`head -1 \$Movie_menu3|awk -F '\t' '{print \$1}'`\" ]; then" >>$Movie_menu4 # 临时导出if/fi
		echo "Movie_id=`head -1 \$Movie_menu3|awk -F '\t' '{print \$2}'|awk -F '_' '{print $3}'`" >>$Movie_menu4 # 临时导出if/fi
		echo -e "fi\n" >>$Movie_menu4 # 临时导出if/fi
		sed -i '1d' $Movie_menu3
		done ; rm $Movie_menu3 >&/dev/null

	echo " 2>\$Movie_menu5" >>$Movie_menu2
	echo Movie_menu_back=\$? >>$Movie_menu2
	echo menu_n=\`\<\$Movie_menu5\` >>$Movie_menu2

		echo "case \$Movie_menu_back in" >>$Movie_menu2
		echo "0)" >>$Movie_menu2
		cat $Movie_menu4 >>$Movie_menu2 ; rm $Movie_menu4 >&/dev/null # 导入if/fi
		echo \;\; >>$Movie_menu2
		echo 1\|255\) >>$Movie_menu2
		echo \youku_menu >>$Movie_menu2
		echo esac >>$Movie_menu2

	. $Movie_menu2 ; rm $Movie_menu2 $Movie_menu5 >&/dev/null # 生成菜单界面

	# 调用FLVCD解析结果
	curl "$Flvcd$Movie_id" 2>/dev/null |grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$Movie_menu6

	# 生成M3U播放列表
	sed -i '/^$/d' $Movie_menu6 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Movie_menu6 2>/dev/null

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Movie_menu6 >&/dev/null ; rm $Movie_menu6 >&/dev/null

else
			Movie_else1=/tmp/movieelse.tmp1 # 下载视频名字和ID到这里
			Movie_else2=/tmp/movieelse.tmp2 # 运行这个文件，生成视频列表菜单
			Movie_else3=/tmp/movieelse.tmp3 # 下载视频名字和ID到这里
			Movie_else4=/tmp/movieelse.tmp4 # 储存选择播放的视频名字
			Movie_else5=/tmp/movieelse.tmp5 # 储存播放列表
#如果优酷官方没有列出该电影，就提供20个相关视频(综合排名靠前的也许就有完整的电影，比如：西域雄狮)
curl "$Youku_search$MOVIE_NAME_ASCII" 2>/dev/null |grep "<a title=\".*style"|grep _log_vid|grep "style=\"\""|sed s'/</\n</g'|awk  -F '"' '{print $2"\t"$18}'|sed '/\t$/d' >$Movie_else1
Else_nob=`cat $Movie_else1|wc -l`
# 自动生成临时文件，并运行该文件显示视频搜索结果
echo -ne "whiptail --title \"没有找到电影：《$MOVIE_NAME》\" --menu \"为您推荐$Else_nob个相关视频\" 0 65 0 " >$Movie_else2
	for((e=1;e<=$Else_nob;e++))
	do
	suffix=${e}
	Else_name=`cat $Movie_else1|head -1 |awk -F '\t' '{print $1}'`
	Else_id=`cat $Movie_else1|head -1 |awk -F '\t' '{print $2}'`
	echo -ne "\"$Else_name\" \"\" " >>$Movie_else2
	echo "if [ \"\$menu_n\" = \"$Else_name\" ]; then" >>$Movie_else3
	echo Else_id_play=$Else_id >>$Movie_else3
	echo -e "fi\n" >>$Movie_else3
	sed -i '1d' $Movie_else1 >&/dev/null
	done
		echo " 2>\$Movie_else4" >>$Movie_else2
		echo Else_menu_back=\$? >>$Movie_else2
		echo menu_n=\`\<\$Movie_else4\` >>$Movie_else2
		echo "case \$Else_menu_back in" >>$Movie_else2
		echo 0\) >>$Movie_else2
		cat $Movie_else3 >>$Movie_else2 ;rm $Movie_else3 >&/dev/null
		echo \;\; >>$Movie_else2
		echo 1\|255\) >>$Movie_else2
		echo "rm $Movie_tmp2 $Movie_else1 $Movie_else2 $Movie_else4 >&/dev/null">>$Movie_else2
		echo youku_menu >>$Movie_else2
		echo esac >>$Movie_else2
. $Movie_else2 ;rm $Movie_else2 >&/dev/null
# 调用FLVCD解析结果
curl "http://www.flvcd.com/parse.php?format=&kw=http%3A%2F%2Fv.youku.com%2Fv_show%2Fid_$Else_id_play.html" 2>/dev/null |grep '<a href="http://f.youku.com' \
				| awk -F '"' '{print $2}' >$Movie_else5

	if [ `cat $Movie_else5|wc -l` -eq 1 ] ; then
	Else_flv=`cat $Movie_else5`
	mplayer -fs -stop-xscreensaver $Else_flv >&/dev/null
	fi

	if [ `cat $Movie_else5|wc -l` -gt 1 ] ; then

	# 生成M3U播放列表
	sed -i '/^$/d' $Movie_else5 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Movie_else5 2>/dev/null
	# 播放选中视频
	mplayer -fs -stop-xscreensaver -playlist $Movie_else5 >&/dev/null
	fi

	rm $Movie_else1 $Movie_else4 $Movie_else5 >&/dev/null

fi
rm $Movie_tmp2 >&/dev/null
youku_menu
;;
1|255) 
rm $Movie_tmp1 >&/dev/null
youku_menu
esac
}




#-----------------------------搜索视频函数-----------------------------
video(){
		Video_tmp1=/tmp/video.tmp1 # 储存输入的视频名字
		Video_tmp2=/tmp/video.tmp2 # 下载10页搜索页面，保存视频名字和ID到这里
		Video_tmp3=/tmp/video.tmp3 # 下载的视频名字写入这里
		Video_tmp4=/tmp/video.tmp4 # 下载的视频ID写入这里
		Video_tmp5=/tmp/video.tmp5 # 用这个临时文件生成视频菜单以供选择
		Video_tmp6=/tmp/video.tmp6 # 临时储存if语句
		Video_tmp7=/tmp/video.tmp7 # 储存选择播放的视频名字（生成菜单用）
		Video_tmp8=/tmp/video.tmp8 # 储存选择播放的视频名字（播放提示用）
		Video_tmp9=/tmp/video.tmp9 # 储存选择播放的视频ID（播放提示用）
		Video_tmp10=/tmp/video.tmp10 # 储存播放列表
# 等待输入视频名字
whiptail --title "在 优 酷 搜 索 视 频" --inputbox "\n\n请输入关键词如：ubuntu\n兔嫂将列出优酷综合排名前10页包涵\"ubuntu\"的视频" 17 65 2>$Video_tmp1
Video_input_back=$?
# 用16进制编码，将片名转化为URL格式
Video_NAME_ASCII=`cat $Video_tmp1|od -t x1 -A n -v -w | tr " " %|sed -e 's/[a-z]/\u&/g'|sed -e 's/%0A//'`
# 将视频名字注入函数
Video_NAME=`<$Video_tmp1` ; rm $Video_tmp1 >&/dev/null
# 根据输入框返回值判断是执行还是退出
case $Video_input_back in
0)
	# 将搜索到的视频名字和ID写入临时文件
	for ((page=1;page<=10;page++)) ;do
	curl "$Youku_search$Video_NAME_ASCII\_orderby_1_page_$page" 2>/dev/null \
	|grep "<a title=\".*style"|grep _log_vid|grep "style=\"\""\
	|sed s'/</\n</g'|awk  -F '"' '{print $2"\t"$18}'|sed '/\t$/d' >>$Video_tmp2

	# 把$Video_tmp2里的视频名字和ID分别写入 $Video_tmp5 $Video_tmp6
	cat $Video_tmp2 |awk  -F '\t' '{print $1}' >$Video_tmp3
	cat $Video_tmp2 |awk  -F '\t' '{print $2}' >$Video_tmp4
	done

	Video_nob=`cat $Video_tmp2|wc -l` ; rm $Video_tmp2 &>/dev/null # 计算搜索到的视频数量

# 自动生成临时文件，并运行该文件显示视频搜索结果
echo -ne "whiptail --title \"搜索：$Video_NAME    找到$Video_nob个视频\" \
		--checklist \"\" 0 0 0 " >$Video_tmp5
	for((i=1;i<=$Video_nob;i++)) ;do
	Video_name=`head -1 $Video_tmp3`
	Video_id=`head -1 $Video_tmp4`
	echo -ne "\"▶ $Video_name\" \"\" off " >>$Video_tmp5
	echo "grep \"$Video_name\" \$Video_tmp7 >/dev/null" >>$Video_tmp6
	echo "if [ \"\$?\" = \"0\" ]; then" >>$Video_tmp6
	echo "echo \"$Video_name\" >>\$Video_tmp8" >>$Video_tmp6
	echo "echo \"$Video_id\" >>\$Video_tmp9" >>$Video_tmp6
	echo -e "fi\n" >>$Video_tmp6
	sed -i '1d' $Video_tmp3 $Video_tmp4>&/dev/null
	done ; rm $Video_tmp3 $Video_tmp4 >&/dev/null

echo " 2>\$Video_tmp7" >>$Video_tmp5
echo Video_menu_back=\$? >>$Video_tmp5
echo menu_n=\`\<\$Video_tmp7\` >>$Video_tmp5
echo "case \$Video_menu_back in" >>$Video_tmp5
echo "0)" >>$Video_tmp5
cat $Video_tmp6 >>$Video_tmp5 ; rm $Video_tmp6 >&/dev/null
echo \;\; >>$Video_tmp5
echo 1\|255\) >>$Video_tmp5
echo "rm $Video_tmp5 $Video_tmp7 >&/dev/null" >>$Video_tmp5
echo \youku_menu >>$Video_tmp5
echo esac >>$Video_tmp5

. $Video_tmp5 ; rm $Video_tmp5 $Video_tmp7 >&/dev/null

# 调用FLVCD解析结果
Video_flv=`curl "http://www.flvcd.com/parse.php?format=&kw=http%3A%2F%2Fv.youku.com%2Fv_show%2Fid_$Video_id_play.html" 2>/dev/null |grep getFlvPath|grep href|awk -F '"' '{print $2}'`
# 播放选中视频
mplayer -fs -stop-xscreensaver $Video_flv >&/dev/null

		Video_plays="`cat $Video_tmp8|wc -l`" # 计算要播放几个视频

# 播放已选的视频
trap 'rm $Video_tmp8 $Video_tmp9 $Video_tmp10 >&/dev/null ;printf "\033c" ;exit' INT
printf ;echo -e "\n\t[ Q ]：停止当前视频\n\t[ Ctrl+x ]：停止所有视频并退出\n"

	for((Video_nob_plays=1;Video_nob_plays<=$Video_plays;Video_nob_plays++)) ;do
	Video_flvname=`head -1 $Video_tmp8` # 截取视频名字
	Video_flvid=`head -1 $Video_tmp9` # 截取视频ID

	# 调用FLVCD解析结果
	curl "$Flvcd$Video_flvid" 2>/dev/null \
	|grep '<a href="http://f.youku.com'|awk -F '"' '{print $2}' > $Video_tmp10

	# 生成M3U播放列表
	sed -i '/^$/d' $Video_tmp10 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Video_tmp10 2>/dev/null

	echo -e "\t正在缓冲：$Video_flvname"

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Video_tmp10 >&/dev/null
	sed -i '1d' $Video_tmp8 >&/dev/null
	sed -i '1d' $Video_tmp9 >&/dev/null
	done ;printf "\033c" ;rm $Video_tmp8 $Video_tmp9 $Video_tmp10 >&/dev/null

youku_menu
;;
1|255) 
youku_menu
esac
}


#-----------------------------搜索用户函数-----------------------------
usr(){
		Usr_tmp1=/tmp/usr.tmp1 # 储存输入的用户名
		Usr_tmp2=/tmp/usr.tmp2 # 储存下载的用户列表

# 等待输入用户名-----------------------------
whiptail --title "搜 索 优 酷 用 户" \
--inputbox "\n如果你有优酷账号，输入你的用户名就可列出你上传的视频\n也可以输入任意关键字，搜索其他用户，随机发现一些有趣的视频\n如：ubuntu" 17 65 2>$Usr_tmp1

		Usr_input_back=$? # 保存返回值
		INPUT_NAME=`<$Usr_tmp1` ; rm $Usr_tmp1 >&/dev/null # 将用户名注入函数

case $Usr_input_back in # 根据返回值判断是执行还是退出
0)
	curl "http://i.youku.com/u/search?q=$INPUT_NAME" 2>/dev/null |grep $INPUT_NAME|grep encode_uid|grep charset|awk -F '"' '{print $12"\t"$10"/videos"}' >$Usr_tmp2 # 下载用户列表
	USR_nob=`cat $Usr_tmp2|wc -l` # 计算搜索到多少个用户

		Usr_tmp3=/tmp/usr.tmp3 # 用来生成用户列表界面
		Usr_tmp4=/tmp/usr.tmp4 # 临时储存if语句
		Usr_tmp5=/tmp/usr.tmp5 # 储存指定用户的视频URL
		Usr_tmp6=/tmp/usr.tmp6 # 储存指定用户的的视频列表

	# 自动生成临时文件，并运行该文件显示用户列表
	echo -ne "whiptail --title \"搜索：$INPUT_NAME 找到$USR_nob个用户\" --menu \"\" 0 65 0 " >$Usr_tmp3
			for((i=1;i<=$USR_nob;i++))
			do
			suffix=${i}
			USR_name=`cat $Usr_tmp2|head -1 |awk -F '\t' '{print $1}'`
			USR_videos=`cat $Usr_tmp2|head -1 |awk -F '\t' '{print $2}'`
			echo -ne "\"用户：$USR_name\" \"视频：$USR_videos\" " >>$Usr_tmp3

			#------------------临时导出if/fi------------------
			echo "if [ \"\$menu_n\" = \"用户：$USR_name\" ]; then" >>$Usr_tmp4
			echo "USR=$USR_name" >>$Usr_tmp4
			echo "USR_list=$USR_videos" >>$Usr_tmp4
			echo -e "fi\n" >>$Usr_tmp4
			#------------------临时导出if/fi------------------

			sed -i '1d' $Usr_tmp2 >&/dev/null
			done ; rm $Usr_tmp2 >&/dev/null

	echo " 2>\$Usr_tmp5" >>$Usr_tmp3
	echo abc=\$? >>$Usr_tmp3
	echo menu_n=\`\<\$Usr_tmp5\` >>$Usr_tmp3
	echo "case \$abc in" >>$Usr_tmp3
	echo "0)" >>$Usr_tmp3
	cat $Usr_tmp4 >>$Usr_tmp3 ; rm $Usr_tmp4 >&/dev/null # 导入if/fi
	echo \;\; >>$Usr_tmp3
	echo 1\|255\) >>$Usr_tmp3
	echo "rm $Usr_tmp3 $Usr_tmp5 >&/dev/null" >>$Usr_tmp3
	echo \youku_menu >>$Usr_tmp3
	echo esac >>$Usr_tmp3

	. $Usr_tmp3 ; rm $Usr_tmp3 $Usr_tmp5 >&/dev/null # 运行该文件显示剧集搜索结果


	curl $USR_list 2>/dev/null |grep "\<a title=\""|grep -v "\<li\>"|grep http|awk -F '"' '{print $2"\t"$6}' >$Usr_tmp6 # 下载用户的视频列表到临时文件
		FLV_nob=`cat $Usr_tmp6|wc -l` # 计算有多少个视频

	# 为已选中的用户，创建视频列表-----------------------------
		Usr_tmp7=/tmp/usr.tmp7 # 用这个文件来生成视频列表界面
		Usr_tmp8=/tmp/usr.tmp8 # 储存选中的视频地址
		Usr_tmp9=/tmp/usr.tmp9 # 临时储存if语句
		Usr_tmp10=/tmp/usr.tmp10 # 储存选中的视频名字（生成菜单用）
		Usr_tmp11=/tmp/usr.tmp11 # 储存播放列表
		Usr_tmp12=/tmp/usr.tmp12 # 储存选中的视频名字(播放提示用)
		Usr_tmp13=/tmp/usr.tmp13 # 储存选中的视频名字(播放提示用)
	echo -ne "whiptail --title \"用户$USR已上传$FLV_nob个视频\" \
		--checklist \"\" 0 65 0 " >$Usr_tmp7

		for (( c=1; c<=$FLV_nob; c++ ))
		do
		USR_video_name=`cat $Usr_tmp6|head -1 |awk -F '\t' '{print $1}'`
		USR_video_id=`cat $Usr_tmp6|head -1 |awk -F '\t' '{print $2}'`
		echo -ne "\"▶ $USR_video_name\" \"\" off " >>$Usr_tmp7

		#------------------临时导出if/fi------------------
	echo "grep \"$USR_video_name\" \$Usr_tmp10 >/dev/null" >>$Usr_tmp9
	echo "if [ \"\$?\" = \"0\" ]; then" >>$Usr_tmp9
	echo "echo `head -1 $Usr_tmp6|head -1 |awk -F '\t' '{print $1}'` >>\$Usr_tmp12" >>$Usr_tmp9
	echo "echo `head -1 $Usr_tmp6|head -1 |awk -F '\t' '{print $2}'` >>\$Usr_tmp8" >>$Usr_tmp9
		echo -e "fi\n" >>$Usr_tmp9
		#------------------临时导出if/fi------------------

		sed -i '1d' $Usr_tmp6 >&/dev/null
		done ; rm $Usr_tmp6 >&/dev/null

	echo " 2>\$Usr_tmp10" >>$Usr_tmp7
	echo abc=\$? >>$Usr_tmp7
	echo menu_n=\`\<\$Usr_tmp10\` >>$Usr_tmp7
	echo "case \$abc in" >>$Usr_tmp7
	echo "0)" >>$Usr_tmp7
	cat $Usr_tmp9 >>$Usr_tmp7 #; rm $Usr_tmp9 >&/dev/null # 导入if/fi
	echo \;\; >>$Usr_tmp7
	echo 1\|255\) >>$Usr_tmp7
	echo "rm $Usr_tmp7 $Usr_tmp9 $Usr_tmp10 >&/dev/null" >>$Usr_tmp7
	echo \youku_menu >>$Usr_tmp7
	echo esac >>$Usr_tmp7

	. $Usr_tmp7 ; rm $Usr_tmp7 $Usr_tmp9 $Usr_tmp10 >&/dev/null # 运行生成视频列表界面

		Usr_plays="`cat $Usr_tmp8|wc -l`" # 计算要播放几个视频

# 播放已选的视频
trap 'rm $Usr_tmp8 $Usr_tmp11 $Usr_tmp12 ;printf "\033c" ;exit' INT ;printf "\033c" 
echo -e "\n\t[ Q ]：停止当前视频\n\t[ Ctrl+x ]：停止所有视频并退出\n"
sed -i 's/[ ]/\t/g' $Usr_tmp8

	for((Usr_nob_plays=1;Usr_nob_plays<=$Usr_plays;Usr_nob_plays++)) ;do
	USR_flvname=`head -1 $Usr_tmp12` # 截取视频名字
	USR_flvid=`head -1 $Usr_tmp8|awk -F '_' '{print $3}'` # 截取视频ID

	# 调用FLVCD解析结果
	curl "$Flvcd$USR_flvid" 2>/dev/null |grep '<a href="http://f.youku.com' \
						|awk -F '"' '{print $2}' >$Usr_tmp11
	# 生成M3U播放列表
	sed -i '/^$/d' $Usr_tmp11 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Usr_tmp11 2>/dev/null

	echo -e "\t正在缓冲：$USR_flvname" # 提示进度

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Usr_tmp11 >&/dev/null #; rm $Url_playlist
	sed -i '1d' $Usr_tmp8 >&/dev/null ;sed -i '1d' $Usr_tmp12 >&/dev/null
	done ;printf "\033c" ;rm $Usr_tmp8 $Usr_tmp11 $Usr_tmp12 >&/dev/null

youku_menu
;;
1|255) 
youku_menu
esac
}


#-----------------------------综艺导航函数-----------------------------
zy(){
		Zy_tmp1=/tmp/zy.tmp1	# 下载优酷综艺首页
		Zy_tmp2=/tmp/zy.tmp2	# 运行该文件显示综艺分类
		Zy_tmp3=/tmp/zy.tmp3	# 临时储存if语句
		Zy_tmp4=/tmp/zy.tmp4	# 储存选择的分类名
		Zy_tmp5=/tmp/zy.tmp5	# 储存前10页节目 [ ID+名字 ]

# 下载优酷综艺首页
curl http://zy.youku.com 2>/dev/null|grep -Ev "强档热播|最新更新"|grep yk-title |grep target|awk -F '"' '{print $6$7}'|awk -F '<' '{print $1}'|awk -F '>' '{print $1","$2}'|awk -F ',' '{print $2"\t"$1}' >$Zy_tmp1
		Zy_nob=`cat $Zy_tmp1|wc -l`	# 计算优酷综艺有几个分类

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"优 酷 综 艺\" --menu \"\" 0 65 0 " >$Zy_tmp2
	for((Zy_nobs=1;Zy_nobs<=$Zy_nob;Zy_nobs++))
	do
	echo -ne "\"`cat $Zy_tmp1|head -1 |awk -F '\t' '{print $1}'`\" \" ◄ 进入子菜单\" " >>$Zy_tmp2

	#------------------临时导出if/fi------------------
	echo "if [ \"\$menu_n\" = \"`cat $Zy_tmp1|head -1 |awk -F '\t' '{print $1}'`\" ]; then" >>$Zy_tmp3
	echo "Zy_name=`cat $Zy_tmp1|head -1 |awk -F '\t' '{print $1}'`" >>$Zy_tmp3
	echo "Zy_url=`cat $Zy_tmp1|head -1 |awk -F '\t' '{print $2}'`" >>$Zy_tmp3
	echo -e "fi\n" >>$Zy_tmp3
	#------------------临时导出if/fi------------------

	sed -i '1d' $Zy_tmp1 >&/dev/null
	done ; rm $Zy_tmp1 >&/dev/null

echo " 2>\$Zy_tmp4" >>$Zy_tmp2
echo Zy_home_back=\$? >>$Zy_tmp2
echo menu_n=\`\<\$Zy_tmp4\` >>$Zy_tmp2
echo "case \$Zy_home_back in" >>$Zy_tmp2
echo "0)" >>$Zy_tmp2
cat $Zy_tmp3 >>$Zy_tmp2 ; rm $Zy_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$Zy_tmp2
echo 1\|255\) >>$Zy_tmp2
echo "rm $Zy_tmp2 $Zy_tmp3 $Zy_tmp4 >&/dev/null" >>$Zy_tmp2
echo \youku_menu >>$Zy_tmp2
echo esac >>$Zy_tmp2
. $Zy_tmp2 ; rm $Zy_tmp2 $Zy_tmp4 >&/dev/null

# 判断选择的综艺分类是不是"优酷出品"，选择用哪种方式截取包涵在URL里的"16进制分类名称"备用
if [ $Zy_name = 优酷出品 ] ; then
Zy_url_cut=`echo "$Zy_url"|cut -d _ -f 7` # 将"分类名称"的16进制编码注入函数
else
Zy_url_cut=`echo "$Zy_url"|cut -d _ -f 5` # 将"分类名称"的16进制编码注入函数
fi

# 下载选择的分类首页，获取"第二页"的网址，将 2.html 替换为 $Zy_pages.html
Zy_url_page2=`curl $Zy_url 2>/dev/null |grep charset|grep 下一页|awk -F '"' '{print $6}'|sed 's/^/http:\/\/www.youku.com/g'|sed 's/2.html/$Zy_pages.html/g'`

# 判断选择的综艺分类是不是"优酷出品"，选择用哪种方式截取包涵"第二页"的网址的"分类名称"备用
if [ $Zy_name = 优酷出品 ] ; then
Zy_page2_cut=`echo "$Zy_url_page2"|cut -d _ -f 5` # 将"分类名称"注入函数
else
Zy_page2_cut=`echo "$Zy_url_page2"|cut -d _ -f 7` # 将"分类名称"注入函数
fi

# 将"第二页"的网址里的"分类名称"替换为16进制
Zy_url_pages=`echo "$Zy_url_page2"|sed 's/'"$Zy_page2_cut"'/'"$Zy_url_cut"'/'`

# 根据"第二页"网址用for循环下载前10页
for((Zy_pages=1;Zy_pages<=1;Zy_pages++))
do
curl "$Zy_url_pages" 2>/dev/null|grep "<a href=\"http://www.youku.com/show_page"|grep div|awk -F '"' '{print $4"\t"$8}'|awk -F '\t' '{print $1"\t"$2}' >>$Zy_tmp5
done


		Zy_tmp6=/tmp/zy.tmp6	# 储存列表视频的名字
		Zy_tmp7=/tmp/zy.tmp7	# 储存列表视频的ID
		Zy_tmp8=/tmp/zy.tmp8	# 储存选择播放的视频名字（播放提示用）
		Zy_tmp9=/tmp/zy.tmp9	# 储存选择播放的视频ID
		Zy_tmp10=/tmp/zy.tmp10	# 运行该文件显示综艺节目视频
		Zy_tmp11=/tmp/zy.tmp11	# 临时储存if语句
		Zy_tmp12=/tmp/zy.tmp12	# 储存选择的节目名称
		Zy_tmp13=/tmp/zy.tmp13	# 储存播放列表

		Zy_nob_play=`cat $Zy_tmp5|wc -l` # 计算有多少个综艺视频

	# 把$Video_tmp2里的视频名字和ID分别写入 $Zy_tmp6 Zy_tmp7
	cat $Zy_tmp5 |awk  -F '\t' '{print $2}' >$Zy_tmp6 # 储存节目的名字
	cat $Zy_tmp5 |awk  -F '\t' '{print $1}' >$Zy_tmp7 # 储存节目的网址

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"综 艺 节 目：$Zy_name  为您提供$Zy_nob_play个视频\" \
			--checklist \"\" 0 65 0 " >$Zy_tmp10

	for((Zy_nob_plays=1;Zy_nob_plays<=$Zy_nob_play;Zy_nob_plays++)) ;do
	echo -ne "\"▶ `head -1 $Zy_tmp5|awk -F '\t' '{print $2}'`\" \"\" off " >>$Zy_tmp10

	#------------------临时导出if/fi------------------
	echo "grep \"`head -1 $Zy_tmp5|awk -F '\t' '{print $2}'`\" \$Zy_tmp12 >/dev/null" \
	>>$Zy_tmp11
	echo "if [ \"\$?\" = \"0\" ]; then" >>$Zy_tmp11
	echo "echo `head -1 $Zy_tmp6` >>\$Zy_tmp8" >>$Zy_tmp11
	echo "echo `head -1 $Zy_tmp7` >>\$Zy_tmp9" >>$Zy_tmp11
	echo -e "fi\n" >>$Zy_tmp11
	#------------------临时导出if/fi------------------

	sed -i '1d' $Zy_tmp5 $Zy_tmp6 $Zy_tmp7 >&/dev/null
	done ; rm $Zy_tmp5 $Zy_tmp6 $Zy_tmp7

echo " 2>\$Zy_tmp12" >>$Zy_tmp10
echo Zy_play_back=\$? >>$Zy_tmp10
echo menu_n=\`\<\$Zy_tmp12\` >>$Zy_tmp10
echo "case \$Zy_play_back in" >>$Zy_tmp10
echo "0)" >>$Zy_tmp10
cat $Zy_tmp11 >>$Zy_tmp10 ; rm $Zy_tmp11 >&/dev/null # 导入if/fi
echo \;\; >>$Zy_tmp10
echo 1\|255\) >>$Zy_tmp10
echo \
     "rm $Zy_tmp5 $Zy_tmp6 $Zy_tmp7 $Zy_tmp8 $Zy_tmp9 $Zy_tmp10 $Zy_tmp12>&/dev/null" \
      >>$Zy_tmp10
echo \youku_menu >>$Zy_tmp10
echo esac >>$Zy_tmp10
. $Zy_tmp10 ; rm $Zy_tmp10 $Zy_tmp12 >&/dev/null

		Zy_plays=`cat $Zy_tmp8 |wc -l` # 计算要播放几个综艺节目


# 连播已选的综艺节目
trap 'rm $Zy_tmp8 $Zy_tmp9 $Zy_tmp13 ;printf "\033c" ;exit' INT ;printf "\033c" 
echo -e "\n\t[ Q ]：停止当前视频\n\t[ Ctrl+x ]：停止所有视频并退出\n"

	for((Zy_nob_plays=1;Zy_nob_plays<=$Zy_plays;Zy_nob_plays++)) ;do

	Zy_name=`head -1 $Zy_tmp8`
	Zy_url=`head -1 $Zy_tmp9`
	Zy_id=`curl $Zy_url 2>/dev/null |grep '<li class="link">'\
		|awk -F '"' '{print $6}'|awk -F '_' '{print $3}'`

	echo -e "\t正在缓冲：$Zy_name"

	# 调用FLVCD解析结果

	curl "$Flvcd$Zy_id" 2>/dev/null |grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$Zy_tmp13

	# 生成M3U播放列表
	sed -i '/^$/d' $Zy_tmp13 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Zy_tmp13 2>/dev/null

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Zy_tmp13 >&/dev/null
	sed -i '1d' $Zy_tmp8 >&/dev/null ;sed -i '1d' $Zy_tmp9 >&/dev/null
	done ;printf "\033c" ;rm $Zy_tmp8 $Zy_tmp9 $Zy_tmp13 >&/dev/null

youku_menu
}


#-----------------------------电影导航函数-----------------------------
dy(){
dy_rb(){
		Rb_tmp1=/tmp/rb.tmp1	# 储存分类名和网址
		Rb_tmp2=/tmp/rb.tmp2	# 运行该文件显示电影分类
		Rb_tmp3=/tmp/rb.tmp3	# 临时储存if语句
		Rb_tmp4=/tmp/rb.tmp4	# 储存选择的分类名
		Rb_tmp5=/tmp/rb.tmp5	# 储存前10页节目


	# 获得分类名和网址
	cat $Ykdy_tmp2|grep -A 10 item1\
			|grep -v  会员专享\
			|grep youku\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's/>//'\
			|sed 's/<\/a><\/li>//' >$Rb_tmp1


		Rb_nob=`cat $Rb_tmp1|wc -l`	# 计算有电影几个分类


# 自动生成临时文件，并运行该文件显示电影分类
echo -ne "whiptail --title \"优 酷 电 影：热 播 排 行 榜\" --menu \"\" 0 65 0 " >$Rb_tmp2


	for((Rb_nobs=1;Rb_nobs<=$Rb_nob;Rb_nobs++))
	do
	echo -ne "\"`head -1 $Rb_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 排 行 榜\" " >>$Rb_tmp2
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"`head -1 $Rb_tmp1|awk -F '\t' '{print $2}'`\" ]; then" >>$Rb_tmp3
echo "Rb_name=`head -1 $Rb_tmp1|awk -F '\t' '{print $2}'`" >>$Rb_tmp3
echo "Rb_url=\"`head -1 $Rb_tmp1|awk -F '\t' '{print $1}'`\"" >>$Rb_tmp3
echo -e "fi\n" >>$Rb_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $Rb_tmp1 >&/dev/null
	done ; rm $Rb_tmp1 >&/dev/null


echo " 2>\$Rb_tmp4" >>$Rb_tmp2
echo Rb_home_back=\$? >>$Rb_tmp2
echo menu_n=\`\<\$Rb_tmp4\` >>$Rb_tmp2


echo "case \$Rb_home_back in" >>$Rb_tmp2
echo "0)" >>$Rb_tmp2
cat $Rb_tmp3 >>$Rb_tmp2 ; rm $Rb_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$Rb_tmp2
echo 1\|255\) >>$Rb_tmp2
echo "rm $Rb_tmp2 $Rb_tmp3 $Rb_tmp4 >&/dev/null" >>$Rb_tmp2
echo ykdy >>$Rb_tmp2
echo esac >>$Rb_tmp2

. $Rb_tmp2 ; rm $Rb_tmp2 >&/dev/null	# 运行该文件显示电影分类



# 下载选择的分类首页，获取"第二页"的网址
Rb_url_page2="`wget "$Rb_url" -O - 2>/dev/null|grep 下一页|awk -F '"' '{print $4}'`"


		# 把第二页网址分成三部分：左边+页码+右边
		url_left=`echo $Rb_url_page2|cut -d _ -f 1-2` 	# 每页网址左边
		url_right=`echo $Rb_url_page2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电影列表
for((Rb_pages=1;Rb_pages<=10;Rb_pages++))
do
curl "$url_left"_"$Rb_pages"_"$url_right" 2>/dev/null |grep p_link|awk -F '"' '{print $6"\t"$4}'|sed 's/[ ][ ]*//g' >>$Rb_tmp5
done

		Rb_nob_play=`cat $Rb_tmp5|wc -l` # 计算有多少部电影
		Rb_tmp6=/tmp/rb.tmp6	# 运行该文件显示电影列表
		Rb_tmp7=/tmp/rb.tmp7	# 临时储存if语句
		Rb_tmp8=/tmp/rb.tmp8	# 储存选择的电影名字
		Rb_tmp9=/tmp/rb.tmp9	# 储存多选的，每部电影的网址
		Rb_tmp10=/tmp/rb.tmp10	# 储存播放列表

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"电 影 分 类：[ `cat $Rb_tmp4` ]  为您提供$Rb_nob_play个电影\" --checklist \"\" 17 0 0 " >$Rb_tmp6


	for((Rb_nob_plays=1;Rb_nob_plays<=$Rb_nob_play;Rb_nob_plays++))
	do
	echo -ne "\"▶ `head -1 $Rb_tmp5|awk -F '\t' '{print $2}'`\" \" \" off " >>$Rb_tmp6
#------------------临时导出if/fi------------------
echo "grep \"`head -1 $Rb_tmp5|awk -F '\t' '{print $2}'`\" \$Rb_tmp8 >/dev/null" >>$Rb_tmp7
echo "if [ \"\$?\" = \"0\" ]; then" >>$Rb_tmp7
echo "echo `head -1 $Rb_tmp5|awk -F '\t' '{print \$1}'` >>\$Rb_tmp9" >>$Rb_tmp7
echo -e "fi\n" >>$Rb_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $Rb_tmp5 >&/dev/null
	done ; rm $Rb_tmp4 $Rb_tmp5 >&/dev/null


echo " 2>\$Rb_tmp8" >>$Rb_tmp6
echo Rb_play_back=\$? >>$Rb_tmp6
echo menu_n=\`\<\$Rb_tmp8\` >>$Rb_tmp6


echo "case \$Rb_play_back in" >>$Rb_tmp6
echo "0)" >>$Rb_tmp6
cat $Rb_tmp7 >>$Rb_tmp6 ; rm $Rb_tmp7 >&/dev/null # 导入if/fi
echo \;\; >>$Rb_tmp6
echo 1\|255\) >>$Rb_tmp6
echo "rm $Rb_tmp6 $Rb_tmp7 $Rb_tmp8 >&/dev/null" >>$Rb_tmp6
echo \ykdy >>$Rb_tmp6
echo esac >>$Rb_tmp6

. $Rb_tmp6 ; rm $Rb_tmp6 $Rb_tmp7 $Rb_tmp8 >&/dev/null ; printf "\033c"

	Rb_plays=`cat $Rb_tmp9 |wc -l`


trap 'rm $Ykdy_tmp2 $Rb_tmp9 $Rb_tmp10 >&/dev/null ;exit' INT
# 连播选中的电影
for((Rb_nob_plays=1;Rb_nob_plays<=$Rb_plays;Rb_nob_plays++))
do
	Rb_id=`head -1 $Rb_tmp9|awk -F '_' '{print $3}'`

	# 调用FLVCD解析结果
	curl "$Flvcd$Rb_id" 2>/dev/null|grep '<a href="http://f.youku.com' | awk -F '"' '{print $2}' >$Rb_tmp10

	# 生成M3U播放列表
	sed -i '/^$/d' $Zy_tmp13 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Rb_tmp10 2>/dev/null

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Rb_tmp10 >&/dev/null ; rm $Rb_tmp10
	sed -i '1d' $Rb_tmp9 >&/dev/null

done ; rm $Rb_tmp9 >&/dev/null

ykdy
}


dy_gj(){
		Gj_tmp1=/tmp/gj.tmp1	# 储存分类名和网址
		Gj_tmp2=/tmp/gj.tmp2	# 运行该文件显示电影分类
		Gj_tmp3=/tmp/gj.tmp3	# 临时储存if语句
		Gj_tmp4=/tmp/gj.tmp4	# 储存选择的分类名
		Gj_tmp5=/tmp/gj.tmp5	# 储存前10页节目


	# 获得分类名和网址
	cat $Ykdy_tmp2|grep -A 11 item2\
			|grep youku\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's/>//'\
			|sed 's/<\/a><\/li>//' >$Gj_tmp1


		Gj_nob=`cat $Gj_tmp1|wc -l`	# 计算有电影几个分类


# 自动生成临时文件，并运行该文件显示电影分类
echo -ne "whiptail --title \"优 酷 电 影：按 国_家/地_区 排 列\" --menu \"\" 0 65 0 " >$Gj_tmp2


	for((Gj_nobs=1;Gj_nobs<=$Gj_nob;Gj_nobs++))
	do
	echo -ne "\"`head -1 $Gj_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 国_家/地_区\" " >>$Gj_tmp2
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"`head -1 $Gj_tmp1|awk -F '\t' '{print $2}'`\" ]; then" >>$Gj_tmp3
echo "Gj_name=`head -1 $Gj_tmp1|awk -F '\t' '{print $2}'`" >>$Gj_tmp3
echo "Gj_url=\"`head -1 $Gj_tmp1|awk -F '\t' '{print $1}'`\"" >>$Gj_tmp3
echo -e "fi\n" >>$Gj_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $Gj_tmp1 >&/dev/null
	done ; rm $Gj_tmp1 >&/dev/null


echo " 2>\$Gj_tmp4" >>$Gj_tmp2
echo Gj_home_back=\$? >>$Gj_tmp2
echo menu_n=\`\<\$Gj_tmp4\` >>$Gj_tmp2


echo "case \$Gj_home_back in" >>$Gj_tmp2
echo "0)" >>$Gj_tmp2
cat $Gj_tmp3 >>$Gj_tmp2 ; rm $Gj_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$Gj_tmp2
echo 1\|255\) >>$Gj_tmp2
echo "rm $Gj_tmp2 $Gj_tmp3 $Gj_tmp4 >&/dev/null" >>$Gj_tmp2
echo \ykdy >>$Gj_tmp2
echo esac >>$Gj_tmp2

. $Gj_tmp2 ; rm $Gj_tmp2 >&/dev/null	# 运行该文件显示电影分类



# 下载选择的分类首页，获取"第二页"的网址
Gj_url_page2="`wget "$Gj_url" -O - 2>/dev/null|grep 下一页|awk -F '"' '{print $4}'`"


		# 把第二页网址分成三部分：左边+页码+右边
		url_left=`echo $Gj_url_page2|cut -d _ -f 1-2` 	# 每页网址左边
		url_right=`echo $Gj_url_page2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电影列表
for((Gj_pages=1;Gj_pages<=10;Gj_pages++))
do
curl "$url_left"_"$Gj_pages"_"$url_right" 2>/dev/null |grep p_link|awk -F '"' '{print $6"\t"$4}'|sed 's/[ ][ ]*//g' >>$Gj_tmp5
done

		Gj_nob_play=`cat $Gj_tmp5|wc -l` # 计算有多少部电影
		Gj_tmp6=/tmp/gj.tmp6	# 运行该文件显示电影列表
		Gj_tmp7=/tmp/gj.tmp7	# 临时储存if语句
		Gj_tmp8=/tmp/gj.tmp8	# 储存选择的电影名字
		Gj_tmp9=/tmp/gj.tmp9	# 储存多选的，每部电影的网址
		Gj_tmp10=/tmp/gj.tmp10	# 储存播放列表

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"电 影 分 类：[ `cat $Gj_tmp4` ]  为您提供$Gj_nob_play个电影\" --checklist \"\" 17 0 0 " >$Gj_tmp6


	for((Gj_nob_plays=1;Gj_nob_plays<=$Gj_nob_play;Gj_nob_plays++))
	do
	echo -ne "\"▶ `head -1 $Gj_tmp5|awk -F '\t' '{print $2}'`\" \" \" off " >>$Gj_tmp6
#------------------临时导出if/fi------------------
echo "grep \"`head -1 $Gj_tmp5|awk -F '\t' '{print $2}'`\" \$Gj_tmp8 >/dev/null" >>$Gj_tmp7
echo "if [ \"\$?\" = \"0\" ]; then" >>$Gj_tmp7
echo "echo `head -1 $Gj_tmp5|awk -F '\t' '{print \$1}'` >>\$Gj_tmp9" >>$Gj_tmp7
echo -e "fi\n" >>$Gj_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $Gj_tmp5 >&/dev/null
	done ; rm $Gj_tmp4 $Gj_tmp5 >&/dev/null


echo " 2>\$Gj_tmp8" >>$Gj_tmp6
echo Gj_play_back=\$? >>$Gj_tmp6
echo menu_n=\`\<\$Gj_tmp8\` >>$Gj_tmp6


echo "case \$Gj_play_back in" >>$Gj_tmp6
echo "0)" >>$Gj_tmp6
cat $Gj_tmp7 >>$Gj_tmp6 ; rm $Gj_tmp7 >&/dev/null # 导入if/fi
echo \;\; >>$Gj_tmp6
echo 1\|255\) >>$Gj_tmp6
echo "rm $Gj_tmp6 $Gj_tmp7 $Gj_tmp8 >&/dev/null" >>$Gj_tmp6
echo \ykdy >>$Gj_tmp6
echo esac >>$Gj_tmp6

. $Gj_tmp6 ; rm $Gj_tmp6 $Gj_tmp7 $Gj_tmp8 >&/dev/null ; printf "\033c"

	Gj_plays=`cat $Gj_tmp9 |wc -l`


trap 'rm $Ykdy_tmp2 $Gj_tmp9 $Gj_tmp10 >&/dev/null ;exit' INT
# 连播选中的电影
for((Gj_nob_plays=1;Gj_nob_plays<=$Gj_plays;Gj_nob_plays++))
do
	Gj_id=`head -1 $Gj_tmp9|awk -F '_' '{print $3}'`

	# 调用FLVCD解析结果
	curl "$Flvcd$Gj_id" 2>/dev/null |grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$Gj_tmp10

	# 生成M3U播放列表
	sed -i '/^$/d' $Gj_tmp10
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Gj_tmp10 2>/dev/null

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Gj_tmp10 >&/dev/null ; rm $Gj_tmp10
	sed -i '1d' $Gj_tmp9 >&/dev/null

done ; rm $Gj_tmp9 >&/dev/null

ykdy
}


dy_lx(){
		Lx_tmp1=/tmp/lx.tmp1	# 储存分类名和网址
		Lx_tmp2=/tmp/lx.tmp2	# 运行该文件显示电影分类
		Lx_tmp3=/tmp/lx.tmp3	# 临时储存if语句
		Lx_tmp4=/tmp/lx.tmp4	# 储存选择的分类名
		Lx_tmp5=/tmp/lx.tmp5	# 储存前10页节目


	# 获得分类名和网址
	cat $Ykdy_tmp2|grep -A 11 item3\
			|grep youku\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's/>//'\
			|sed 's/<\/a><\/li>//' >$Lx_tmp1


		Lx_nob=`cat $Lx_tmp1|wc -l`	# 计算有电影几个分类


# 自动生成临时文件，并运行该文件显示电影分类
echo -ne "whiptail --title \"优 酷 电 影：按 类 型 排 列\" --menu \"\" 0 65 0 " >$Lx_tmp2


	for((Lx_nobs=1;Lx_nobs<=$Lx_nob;Lx_nobs++))
	do
	echo -ne "\"`head -1 $Lx_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 类 型\" " >>$Lx_tmp2
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"`head -1 $Lx_tmp1|awk -F '\t' '{print $2}'`\" ]; then" >>$Lx_tmp3
echo "Lx_name=`head -1 $Lx_tmp1|awk -F '\t' '{print $2}'`" >>$Lx_tmp3
echo "Lx_url=\"`head -1 $Lx_tmp1|awk -F '\t' '{print $1}'`\"" >>$Lx_tmp3
echo -e "fi\n" >>$Lx_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $Lx_tmp1 >&/dev/null
	done ; rm $Lx_tmp1 >&/dev/null


echo " 2>\$Lx_tmp4" >>$Lx_tmp2
echo Lx_home_back=\$? >>$Lx_tmp2
echo menu_n=\`\<\$Lx_tmp4\` >>$Lx_tmp2


echo "case \$Lx_home_back in" >>$Lx_tmp2
echo "0)" >>$Lx_tmp2
cat $Lx_tmp3 >>$Lx_tmp2 ; rm $Lx_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$Lx_tmp2
echo 1\|255\) >>$Lx_tmp2
echo "rm $Lx_tmp2 $Lx_tmp3 $Lx_tmp4 >&/dev/null" >>$Lx_tmp2
echo \ykdy >>$Lx_tmp2
echo esac >>$Lx_tmp2

. $Lx_tmp2 ; rm $Lx_tmp2 >&/dev/null	# 运行该文件显示电影分类



# 下载选择的分类首页，获取"第二页"的网址
Lx_url_page2="`wget "$Lx_url" -O - 2>/dev/null|grep 下一页|awk -F '"' '{print $4}'`"


		# 把第二页网址分成三部分：左边+页码+右边
		url_left=`echo $Lx_url_page2|cut -d _ -f 1-2` 	# 每页网址左边
		url_right=`echo $Lx_url_page2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电影列表
for((Lx_pages=1;Lx_pages<=10;Lx_pages++))
do
curl "$url_left"_"$Lx_pages"_"$url_right" 2>/dev/null |grep p_link|awk -F '"' '{print $6"\t"$4}'|sed 's/[ ][ ]*//g' >>$Lx_tmp5
done

		Lx_nob_play=`cat $Lx_tmp5|wc -l` # 计算有多少部电影
		Lx_tmp6=/tmp/lx.tmp6	# 运行该文件显示电影列表
		Lx_tmp7=/tmp/lx.tmp7	# 临时储存if语句
		Lx_tmp8=/tmp/lx.tmp8	# 储存选择的电影名字
		Lx_tmp9=/tmp/lx.tmp9	# 储存多选的，每部电影的网址
		Lx_tmp10=/tmp/lx.tmp10	# 储存播放列表

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"电 影 分 类：[ `cat $Lx_tmp4` ]  为您提供$Lx_nob_play个电影\" --checklist \"\" 17 0 0 " >$Lx_tmp6


	for((Lx_nob_plays=1;Lx_nob_plays<=$Lx_nob_play;Lx_nob_plays++))
	do
	echo -ne "\"▶ `head -1 $Lx_tmp5|awk -F '\t' '{print $2}'`\" \" \" off " >>$Lx_tmp6
#------------------临时导出if/fi------------------
echo "grep \"`head -1 $Lx_tmp5|awk -F '\t' '{print $2}'`\" \$Lx_tmp8 >/dev/null" >>$Lx_tmp7
echo "if [ \"\$?\" = \"0\" ]; then" >>$Lx_tmp7
echo "echo `head -1 $Lx_tmp5|awk -F '\t' '{print \$1}'` >>\$Lx_tmp9" >>$Lx_tmp7
echo -e "fi\n" >>$Lx_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $Lx_tmp5 >&/dev/null
	done ; rm $Lx_tmp4 $Lx_tmp5 >&/dev/null


echo " 2>\$Lx_tmp8" >>$Lx_tmp6
echo Lx_play_back=\$? >>$Lx_tmp6
echo menu_n=\`\<\$Lx_tmp8\` >>$Lx_tmp6


echo "case \$Lx_play_back in" >>$Lx_tmp6
echo "0)" >>$Lx_tmp6
cat $Lx_tmp7 >>$Lx_tmp6 ; rm $Lx_tmp7 >&/dev/null # 导入if/fi
echo \;\; >>$Lx_tmp6
echo 1\|255\) >>$Lx_tmp6
echo "rm $Lx_tmp6 $Lx_tmp7 $Lx_tmp8 >&/dev/null" >>$Lx_tmp6
echo \ykdy >>$Lx_tmp6
echo esac >>$Lx_tmp6

. $Lx_tmp6 ; rm $Lx_tmp6 $Lx_tmp7 $Lx_tmp8 >&/dev/null ; printf "\033c"

	Lx_plays=`cat $Lx_tmp9 |wc -l`


trap 'rm $Ykdy_tmp2 $Lx_tmp9 $Lx_tmp10 >&/dev/null ;exit' INT
# 连播选中的电影
for((Lx_nob_plays=1;Lx_nob_plays<=$Lx_plays;Lx_nob_plays++))
do
	Lx_id=`head -1 $Lx_tmp9|awk -F '_' '{print $3}'`

	# 调用FLVCD解析结果
	curl "$Flvcd$Lx_id" 2>/dev/null |grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}'>$Lx_tmp10

	# 生成M3U播放列表
	sed -i '/^$/d' $Lx_tmp10 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Lx_tmp10 2>/dev/null

	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Lx_tmp10 >&/dev/null ; rm $Lx_tmp10
	sed -i '1d' $Lx_tmp9 >&/dev/null

done ; rm $Lx_tmp9 >&/dev/null

ykdy
}


dy_sj(){
		Sj_tmp1=/tmp/sj.tmp1	# 储存分类名和网址
		Sj_tmp2=/tmp/sj.tmp2	# 运行该文件显示电影分类
		Sj_tmp3=/tmp/sj.tmp3	# 临时储存if语句
		Sj_tmp4=/tmp/sj.tmp4	# 储存选择的分类名
		Sj_tmp5=/tmp/sj.tmp5	# 储存前10页节目

	# 获得分类名和网址
	cat $Ykdy_tmp2|grep -A 10 item4\
			|grep youku\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's/>//'\
			|sed 's/<\/a><\/li>//' >$Sj_tmp1


		Sj_nob=`cat $Sj_tmp1|wc -l`	# 计算有电影几个分类


# 自动生成临时文件，并运行该文件显示电影分类
echo -ne "whiptail --title \"优 酷 电 影：按 上 映 时 间 排 列\" --menu \"\" 0 65 0 " >$Sj_tmp2


	for((Sj_nobs=1;Sj_nobs<=$Sj_nob;Sj_nobs++))
	do
	echo -ne "\"`head -1 $Sj_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 年 代\" " >>$Sj_tmp2
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"`head -1 $Sj_tmp1|awk -F '\t' '{print $2}'`\" ]; then" >>$Sj_tmp3
echo "Sj_name=`head -1 $Sj_tmp1|awk -F '\t' '{print $2}'`" >>$Sj_tmp3
echo "Sj_url=\"`head -1 $Sj_tmp1|awk -F '\t' '{print $1}'`\"" >>$Sj_tmp3
echo -e "fi\n" >>$Sj_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $Sj_tmp1 >&/dev/null
	done ; rm $Sj_tmp1 >&/dev/null


echo " 2>\$Sj_tmp4" >>$Sj_tmp2
echo Sj_home_back=\$? >>$Sj_tmp2
echo menu_n=\`\<\$Sj_tmp4\` >>$Sj_tmp2


echo "case \$Sj_home_back in" >>$Sj_tmp2
echo "0)" >>$Sj_tmp2
cat $Sj_tmp3 >>$Sj_tmp2 ; rm $Sj_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$Sj_tmp2
echo 1\|255\) >>$Sj_tmp2
echo "rm $Sj_tmp2 $Sj_tmp3 $Sj_tmp4 >&/dev/null" >>$Sj_tmp2
echo \ykdy >>$Sj_tmp2
echo esac >>$Sj_tmp2

. $Sj_tmp2 ; rm $Sj_tmp2 >&/dev/null	# 运行该文件显示电影分类



# 下载选择的分类首页，获取"第二页"的网址
Sj_url_page2="`wget "$Sj_url" -O - 2>/dev/null|grep 下一页|awk -F '"' '{print $4}'`"


		# 把第二页网址分成三部分：左边+页码+右边
		url_left=`echo $Sj_url_page2|cut -d _ -f 1-2` 	# 每页网址左边
		url_right=`echo $Sj_url_page2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电影列表
for((Sj_pages=1;Sj_pages<=10;Sj_pages++))
do
curl "$url_left"_"$Sj_pages"_"$url_right" 2>/dev/null |grep p_link|awk -F '"' '{print $6"\t"$4}'|sed 's/[ ][ ]*//g' >>$Sj_tmp5
done

		Sj_nob_play=`cat $Sj_tmp5|wc -l` # 计算有多少部电影
		Sj_tmp6=/tmp/sj.tmp6	# 运行该文件显示电影列表
		Sj_tmp7=/tmp/sj.tmp7	# 临时储存if语句
		Sj_tmp8=/tmp/sj.tmp8	# 储存选择的电影名字
		Sj_tmp9=/tmp/sj.tmp9	# 储存多选的，每部电影的网址
		Sj_tmp10=/tmp/sj.tmp10	# 储存播放列表

# 自动生成临时文件，并运行该文件显示综艺分类
echo -ne "whiptail --title \"电 影 分 类：[ `cat $Sj_tmp4` ]  为您提供$Sj_nob_play个电影\" --checklist \"\" 17 0 0 " >$Sj_tmp6


	for((Sj_nob_plays=1;Sj_nob_plays<=$Sj_nob_play;Sj_nob_plays++))
	do
	echo -ne "\"▶ `head -1 $Sj_tmp5|awk -F '\t' '{print $2}'`\" \" \" off " >>$Sj_tmp6
#------------------临时导出if/fi------------------
echo "grep \"`head -1 $Sj_tmp5|awk -F '\t' '{print $2}'`\" \$Sj_tmp8 >/dev/null" >>$Sj_tmp7
echo "if [ \"\$?\" = \"0\" ]; then" >>$Sj_tmp7
echo "echo `head -1 $Sj_tmp5|awk -F '\t' '{print \$1}'` >>\$Sj_tmp9" >>$Sj_tmp7
echo -e "fi\n" >>$Sj_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $Sj_tmp5 >&/dev/null
	done ; rm $Sj_tmp4 $Sj_tmp5 >&/dev/null


echo " 2>\$Sj_tmp8" >>$Sj_tmp6
echo Sj_play_back=\$? >>$Sj_tmp6
echo menu_n=\`\<\$Sj_tmp8\` >>$Sj_tmp6


echo "case \$Sj_play_back in" >>$Sj_tmp6
echo "0)" >>$Sj_tmp6
cat $Sj_tmp7 >>$Sj_tmp6 ; rm $Sj_tmp7 >&/dev/null # 导入if/fi
echo \;\; >>$Sj_tmp6
echo 1\|255\) >>$Sj_tmp6
echo "rm $Sj_tmp6 $Sj_tmp7 $Sj_tmp8 >&/dev/null" >>$Sj_tmp6
echo \ykdy >>$Sj_tmp6
echo esac >>$Sj_tmp6

. $Sj_tmp6 ; rm $Sj_tmp6 $Sj_tmp7 $Sj_tmp8 >&/dev/null ; printf "\033c"

	Sj_plays=`cat $Sj_tmp9 |wc -l`


trap 'rm $Ykdy_tmp2 $Sj_tmp9 $Sj_tmp10 >&/dev/null ;exit' INT
# 连播选中的电影
for((Sj_nob_plays=1;Sj_nob_plays<=$Sj_plays;Sj_nob_plays++))
do
	Sj_id=`head -1 $Sj_tmp9|awk -F '_' '{print $3}'`

	# 调用FLVCD解析结果
	curl "$Flvcd$Sj_id" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$Sj_tmp10

	# 生成M3U播放列表
	sed -i -e 's/target="_blank"//g' -e 's/onclick="_alert();return//g' \
		-e 's/class="link"//' -e 's/^\=//' -e 's#|"/>##g' $Sj_tmp10
	sed -i '/^$/d' $Sj_tmp10
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Sj_tmp10
	# 生成M3U播放列表
	sed -i '/^$/d' $Sj_tmp10 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $Sj_tmp10 2>/dev/null
	# 调用Mplayer读取播放列表
	mplayer -fs -stop-xscreensaver -playlist $Sj_tmp10 >&/dev/null ; rm $Sj_tmp10
	sed -i '1d' $Sj_tmp9 >&/dev/null

done ; rm $Sj_tmp9 >&/dev/null

dy
}


ykdy(){

		Ykdy_tmp1=/tmp/ykdy.tmp1
		Ykdy_tmp2=/tmp/ykdy.tmp2
# 下载优酷电影首页
curl 'http://movie.youku.com' -o $Ykdy_tmp2 2>/dev/null

# 变量用于生成菜单
DY_ReBo=`cat $Ykdy_tmp2|grep -A 10 item1|grep -v  会员专享|awk -F '"' '{print $5}'|sed 's/>//'|sed 's/<\/a><\/li>//'|sed /^$/d|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
DY_GuoJia=`cat $Ykdy_tmp2|grep -A 11 item2|grep -v  其他|awk -F '"' '{print $5}'|sed 's/>//'|sed 's/<\/a><\/li>//'|sed /^$/d|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
DY_LeiXing=`cat $Ykdy_tmp2|grep -A 12 item3|awk -F '"' '{print $5}'|sed 's/>//'|sed 's/<\/a><\/li>//'|sed /^$/d|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
DY_ShiJian=`cat $Ykdy_tmp2|grep -A 10 item4|awk -F '"' '{print $5}'|sed 's/>//'|sed 's/<\/a><\/li>//'|sed /^$/d|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
printf "\033c"

whiptail --title "优 酷 电 影" --menu " " 17 65 6 \
	"[ 热  播 ]" "$DY_ReBo" \
	"[ 国  家 ]" "$DY_GuoJia" \
	"[ 类  型 ]" "$DY_LeiXing" \
	"[ 时  间 ]" "$DY_ShiJian" 2>$Ykdy_tmp1

	Ykdy_back=$?
	menu_n=`<$Ykdy_tmp1` ; rm $Ykdy_tmp1 >&/dev/null

	case $Ykdy_back in
	0)
  		if [ "$menu_n" = "[ 热  播 ]" ]; then
    		dy_rb
		fi

		if [ "$menu_n" = "[ 国  家 ]" ]; then
		dy_gj
		fi

		if [ "$menu_n" = "[ 类  型 ]" ]; then
		dy_lx
		fi

		if [ "$menu_n" = "[ 时  间 ]" ]; then
		dy_sj
		fi
  	;;
	1|255) 
		rm $Ykdy_tmp2 2>/dev/null		
		youku_menu
	esac
}
ykdy
youku_menu
}




#-----------------------------电视导航函数-----------------------------
ds(){
dsdq(){
		DSdq_tmp1=/tmp/dsdq.tmp1	# 储存分类名和网址
		DSdq_tmp2=/tmp/dsdq.tmp2	# 运行该文件显示地区分类
		DSdq_tmp3=/tmp/dsdq.tmp3	# 临时储存if语句
		DSdq_tmp4=/tmp/dsdq.tmp4	# 储存菜单选择结果


	# 获得分类名和网址
	cat $Ykds_tmp2 | grep -A 10 item1\
			|grep tv.youku.com\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's#</a></li>##g'\
			|sed 's/>//g' >$DSdq_tmp1

		DSdq_nob=`cat $DSdq_tmp1|wc -l` # 计算有几个分类

echo -ne "whiptail --title \"优 酷 电 视 剧 频 道：[ 按 地 区 ]\" --menu \"\" 0 65 0 " >$DSdq_tmp2

	for((DSdq_nobs=1;DSdq_nobs<=$DSdq_nob;DSdq_nobs++)) ;do
	echo -ne "\"`head -1 $DSdq_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 地 区\" " >>$DSdq_tmp2
#------------------临时导出if/fi------------------
echo "if [ \$menu_n = `head -1 $DSdq_tmp1|awk -F '\t' '{print $2}'` ]; then" >>$DSdq_tmp3
echo "DSdq_name=\"`head -1 $DSdq_tmp1|awk -F '\t' '{print $2}'`\"" >>$DSdq_tmp3
echo "DSdq_url=\"`head -1 $DSdq_tmp1|awk -F '\t' '{print $1}'`\"" >>$DSdq_tmp3
echo -e "fi\n" >>$DSdq_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $DSdq_tmp1 2>/dev/null
	done ; rm $DSdq_tmp1 2>/dev/null

echo " 2>\$DSdq_tmp4" >>$DSdq_tmp2
echo DSdq_back=\$? >>$DSdq_tmp2
echo menu_n=\`\<\$DSdq_tmp4\` >>$DSdq_tmp2

echo "case \$DSdq_back in" >>$DSdq_tmp2
echo "0)" >>$DSdq_tmp2
cat $DSdq_tmp3 >>$DSdq_tmp2 #; rm $DSdq_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$DSdq_tmp2
echo 1\|255\) >>$DSdq_tmp2
echo "rm $DSdq_tmp2 $DSdq_tmp3 $DSdq_tmp4 >&/dev/null" >>$DSdq_tmp2
echo ykds >>$DSdq_tmp2
echo esac >>$DSdq_tmp2

. $DSdq_tmp2 ; DSdq_tv_name=`cat $DSdq_tmp4` 
#; rm $DSdq_tmp2 $DSdq_tmp3 $DSdq_tmp4 2>/dev/null	# 运行该文件显示地区分类

		DSdq_tmp5=/tmp/dsdq.tmp5	# 10页电视剧列表(300部电视剧)

# 通过该分类的链接，得到该分类第二页链接
# 类似这样http://tv.youku.com/search/index/_page40177_2_cmodid_40177?ccat40178%5Ba%5D=%E5%A4%A7%E9%99%86&m40177%5Bcc-ms-q%5D=a%7Carea%3A%E5%A4%A7%E9%99%86
DSdq_url2=`wget $DSdq_url -O - 2>/dev/null |grep '<li><a onclick="nova_update' |head -1|awk -F '"' '{print $4}'`

		# 把第二页网址分成三部分：左边+页码+右边
		DSdq_url_left=`echo $DSdq_url2|cut -d _ -f 1-2` 	# 每页网址左边
		DSdq_url_right=`echo $DSdq_url2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电视剧列表(300部电视剧)
for((DSdq_pages=1;DSdq_pages<=10;DSdq_pages++)) ;do
wget "$DSdq_url_left"_"$DSdq_pages"_"$DSdq_url_right" -O - 2>/dev/null |grep '<li class="p_title">'|awk -F '"' '{print $6"\t"$4}' >>$DSdq_tmp5 ;done


		DSdq_tmp6=/tmp/dsdq.tmp6	# 运行该文件显示电视剧选单
		DSdq_tmp7=/tmp/dsdq.tmp7	# 临时储存if语句
		DSdq_tmp8=/tmp/dsdq.tmp8	# 储存选单结果

		DSdq_nob1=`cat $DSdq_tmp5|wc -l` # 计算有多少部电视剧

# 确定播放哪部电视剧，记住该剧首页网址
echo -ne "whiptail --title \"为您提供$DSdq_nob1部 $DSdq_tv_name 电视剧\" --menu \"\" 0 65 0 " >$DSdq_tmp6

	for((DSdq_nob1s=1;DSdq_nob1s<=$DSdq_nob1;DSdq_nob1s++)) ;do
	echo -ne "\"▶ `head -1 $DSdq_tmp5|awk -F '\t' '{print $2}'`\" \"\" " >>$DSdq_tmp6
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"▶ `head -1 $DSdq_tmp5|awk -F '\t' '{print $2}'`\" ]; then" >>$DSdq_tmp7
echo "DSdq_play_name=\"`head -1 $DSdq_tmp5|awk -F '\t' '{print $2}'`\"" >>$DSdq_tmp7
echo "DSdq_play_url=\"`head -1 $DSdq_tmp5|awk -F '\t' '{print $1}'`\"" >>$DSdq_tmp7
echo -e "fi\n" >>$DSdq_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $DSdq_tmp5 2>/dev/null
	done ; rm $DSdq_tmp5 2>/dev/null

echo " 2>\$DSdq_tmp8" >>$DSdq_tmp6
echo DSdq_tv_back=\$? >>$DSdq_tmp6
echo menu_n=\`\<\$DSdq_tmp8\` >>$DSdq_tmp6


echo "case \$DSdq_tv_back in" >>$DSdq_tmp6
echo "0)" >>$DSdq_tmp6
cat $DSdq_tmp7 >>$DSdq_tmp6 ; rm $DSdq_tmp7 2>/dev/null # 导入if/fi
echo \;\; >>$DSdq_tmp6
echo 1\|255\) >>$DSdq_tmp6
echo "rm $DSdq_tmp2 $DSdq_tmp3 $DSdq_tmp4 $DSdq_tmp6 $DSdq_tmp8 2>/dev/null" >>$DSdq_tmp6
echo ykds >>$DSdq_tmp6
echo esac >>$DSdq_tmp6

. $DSdq_tmp6 ;rm $DSdq_tmp2 $DSdq_tmp3 $DSdq_tmp4 $DSdq_tmp6 $DSdq_tmp8 2>/dev/null


		DSdq_tmp9=/tmp/dsdq.tmp9	# 储存已选电视剧每集的 [ 集数+ID ]
		DSdq_tmp10=/tmp/dsdq.tmp10	# 备用，如果ID是倒序排列，就用tac命令倒过来暂存到这里

# 通过电视剧首页网址，获取第一集网址
DSdq_play_url1=`curl $DSdq_play_url 2>/dev/null|grep btnShow |awk -F '"' '{print $6}'`
# 通过第一集网址，获取该剧所有 [ 集数+ID ]
curl $DSdq_play_url1 2>/dev/null|grep 'title="第'|awk -F '"' '{print $12"\t"$10}'|sed 's/item_//g' >$DSdq_tmp9
# 如果得到的 [ 集数+ID ] 是倒序排列，就变成顺序排列
if [ `head -1 $DSdq_tmp9 |grep 第1集|wc -l` -ne 1 ] ; then
tac $DSdq_tmp9 >$DSdq_tmp10 
cat $DSdq_tmp10 >$DSdq_tmp9 && rm $DSdq_tmp10
fi

		DSdq_tmp11=/tmp/dsdq.tmp11	# 用来生成电视剧全集菜单
		DSdq_tmp12=/tmp/dsdq.tmp12	# 临时储存if语句
		DSdq_tmp13=/tmp/dsdq.tmp13	# 储存将要联播每集的ID
		DSdq_tmp14=/tmp/dsdq.tmp14	# 储存菜单选择结果(第？集)

		DSdq_get_nob=`cat $DSdq_tmp9|wc -l` # 计算有多少集
# 生成电视剧全集菜单
echo -ne "whiptail --title \"电视剧：《$DSdq_play_name》  已更新至$DSdq_get_nob集\" --menu \" \" 0 65 0 ">$DSdq_tmp11

for((DSdq_get_nobs=1;DSdq_get_nobs<=$DSdq_get_nob;DSdq_get_nobs++)) ;do
	echo -ne "\"$DSdq_play_name    ▶第$DSdq_get_nobs集\" \"\" " >>$DSdq_tmp11
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$DSdq_play_name    ▶第$DSdq_get_nobs集\" ]; then" >>$DSdq_tmp12
echo "if [ \"$DSdq_get_nobs\" -eq \"1\" ]; then" >>$DSdq_tmp12
echo "echo \`cat \$DSdq_tmp9|awk -F '\t' '{print \$2}'\` >\$DSdq_tmp13">>$DSdq_tmp12
echo -e "else" >>$DSdq_tmp12
echo "echo \`cat \$DSdq_tmp9|awk -F '\t' '{print \$2}'|sed '1,"`expr $DSdq_get_nobs - 1`"d'\` >\$DSdq_tmp13">>$DSdq_tmp12
echo -e "fi" >>$DSdq_tmp12
	echo -e "fi\n" >>$DSdq_tmp12
#------------------临时导出if/fi------------------
	done #; rm $DSdq_tmp9 >&/dev/null

echo " 2>\$DSdq_tmp14" >>$DSdq_tmp11
echo DSdq_get_back=\$? >>$DSdq_tmp11
echo menu_n=\`\<\$DSdq_tmp14\` >>$DSdq_tmp11
echo "case \$DSdq_get_back in" >>$DSdq_tmp11
echo "0)" >>$DSdq_tmp11

cat $DSdq_tmp12 >>$DSdq_tmp11 2>/dev/null ; rm $DSdq_tmp12 2>/dev/null
echo ";;" >>$DSdq_tmp11
echo "1|255)" >>$DSdq_tmp11
echo "rm $DSdq_tmp9 $DSdq_tmp11 $DSdq_tmp12 $DSdq_tmp14 >&/dev/null" >>$DSdq_tmp11
echo ykds >>$DSdq_tmp11
echo esac >>$DSdq_tmp11

. $DSdq_tmp11 ; rm $DSdq_tmp9 $DSdq_tmp11 $DSdq_tmp12 $DSdq_tmp14 >&/dev/null



		DSdq_tmp15=/tmp/dsdq.tmp15	# 重复储存每一集播放列表

trap 'rm $Ykds_tmp2 $DSdq_tmp13 $DSdq_tmp15 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' "$DSdq_tmp13" # 重新排版ID库
DSdq_ids_nob=`cat $DSdq_tmp13|wc -l` # 计算有几个ID，就解析几次

	for (( DSdq_ids_nobs=1; DSdq_ids_nobs<=$DSdq_ids_nob; DSdq_ids_nobs++ )) ;do
	curl "$Flvcd`head -1 $DSdq_tmp13`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$DSdq_tmp15
	# 生成M3U播放列表
	sed -i '/^$/d' $DSdq_tmp15 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $DSdq_tmp15 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $DSdq_tmp15 >&/dev/null
	sed -i '1d' $DSdq_tmp13 >/dev/null 2>&1
	done ; rm $DSdq_tmp13 $DSdq_tmp15 >&/dev/null

ykds
}




dslx(){
		DSlx_tmp1=/tmp/dslx.tmp1	# 储存分类名和网址
		DSlx_tmp2=/tmp/dslx.tmp2	# 运行该文件显示地区分类
		DSlx_tmp3=/tmp/dslx.tmp3	# 临时储存if语句
		DSlx_tmp4=/tmp/dslx.tmp4	# 储存菜单选择结果


	# 获得分类名和网址
	cat $Ykds_tmp2 | grep -A 20 item2\
			|grep tv.youku.com\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's#</a></li>##g'\
			|sed 's/>//g' >$DSlx_tmp1

		DSlx_nob=`cat $DSlx_tmp1|wc -l` # 计算有几个分类

echo -ne "whiptail --title \"优 酷 电 视 剧 频 道：[ 按 类 型 ]\" --menu \"\" 0 65 0 " >$DSlx_tmp2

	for((DSlx_nobs=1;DSlx_nobs<=$DSlx_nob;DSlx_nobs++)) ;do
	echo -ne "\"`head -1 $DSlx_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 类 型\" " >>$DSlx_tmp2
#------------------临时导出if/fi------------------
echo "if [ \$menu_n = `head -1 $DSlx_tmp1|awk -F '\t' '{print $2}'` ]; then" >>$DSlx_tmp3
echo "DSlx_name=\"`head -1 $DSlx_tmp1|awk -F '\t' '{print $2}'`\"" >>$DSlx_tmp3
echo "DSlx_url=\"`head -1 $DSlx_tmp1|awk -F '\t' '{print $1}'`\"" >>$DSlx_tmp3
echo -e "fi\n" >>$DSlx_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $DSlx_tmp1 2>/dev/null
	done ; rm $DSlx_tmp1 2>/dev/null

echo " 2>\$DSlx_tmp4" >>$DSlx_tmp2
echo DSlx_back=\$? >>$DSlx_tmp2
echo menu_n=\`\<\$DSlx_tmp4\` >>$DSlx_tmp2

echo "case \$DSlx_back in" >>$DSlx_tmp2
echo "0)" >>$DSlx_tmp2
cat $DSlx_tmp3 >>$DSlx_tmp2 #; rm $DSlx_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$DSlx_tmp2
echo 1\|255\) >>$DSlx_tmp2
echo "rm $DSlx_tmp2 $DSlx_tmp3 $DSlx_tmp4 >&/dev/null" >>$DSlx_tmp2
echo ykds >>$DSlx_tmp2
echo esac >>$DSlx_tmp2

. $DSlx_tmp2 ; DSlx_tv_name=`cat $DSlx_tmp4` 
#; rm $DSlx_tmp2 $DSlx_tmp3 $DSlx_tmp4 2>/dev/null	# 运行该文件显示地区分类

		DSlx_tmp5=/tmp/dslx.tmp5	# 10页电视剧列表(300部电视剧)

# 通过该分类的链接，得到该分类第二页链接
# 类似这样http://tv.youku.com/search/index/_page40177_2_cmodid_40177?ccat40178%5Ba%5D=%E5%A4%A7%E9%99%86&m40177%5Bcc-ms-q%5D=a%7Carea%3A%E5%A4%A7%E9%99%86
DSlx_url2=`wget $DSlx_url -O - 2>/dev/null |grep '<li><a onclick="nova_update' |head -1|awk -F '"' '{print $4}'`

		# 把第二页网址分成三部分：左边+页码+右边
		DSlx_url_left=`echo $DSlx_url2|cut -d _ -f 1-2` 	# 每页网址左边
		DSlx_url_right=`echo $DSlx_url2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电视剧列表(300部电视剧)
for((DSlx_pages=1;DSlx_pages<=10;DSlx_pages++)) ;do
wget "$DSlx_url_left"_"$DSlx_pages"_"$DSlx_url_right" -O - 2>/dev/null |grep '<li class="p_title">'|awk -F '"' '{print $6"\t"$4}' >>$DSlx_tmp5 ;done


		DSlx_tmp6=/tmp/dslx.tmp6	# 运行该文件显示电视剧选单
		DSlx_tmp7=/tmp/dslx.tmp7	# 临时储存if语句
		DSlx_tmp8=/tmp/dslx.tmp8	# 储存选单结果

		DSlx_nob1=`cat $DSlx_tmp5|wc -l` # 计算有多少部电视剧

# 确定播放哪部电视剧，记住该剧首页网址
echo -ne "whiptail --title \"为您提供$DSlx_nob1部 $DSlx_tv_name 电视剧\" --menu \"\" 0 65 0 " >$DSlx_tmp6

	for((DSlx_nob1s=1;DSlx_nob1s<=$DSlx_nob1;DSlx_nob1s++)) ;do
	echo -ne "\"▶ `head -1 $DSlx_tmp5|awk -F '\t' '{print $2}'`\" \"\" " >>$DSlx_tmp6
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"▶ `head -1 $DSlx_tmp5|awk -F '\t' '{print $2}'`\" ]; then" >>$DSlx_tmp7
echo "DSlx_play_name=\"`head -1 $DSlx_tmp5|awk -F '\t' '{print $2}'`\"" >>$DSlx_tmp7
echo "DSlx_play_url=\"`head -1 $DSlx_tmp5|awk -F '\t' '{print $1}'`\"" >>$DSlx_tmp7
echo -e "fi\n" >>$DSlx_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $DSlx_tmp5 2>/dev/null
	done ; rm $DSlx_tmp5 2>/dev/null

echo " 2>\$DSlx_tmp8" >>$DSlx_tmp6
echo DSlx_tv_back=\$? >>$DSlx_tmp6
echo menu_n=\`\<\$DSlx_tmp8\` >>$DSlx_tmp6


echo "case \$DSlx_tv_back in" >>$DSlx_tmp6
echo "0)" >>$DSlx_tmp6
cat $DSlx_tmp7 >>$DSlx_tmp6 ; rm $DSlx_tmp7 2>/dev/null # 导入if/fi
echo \;\; >>$DSlx_tmp6
echo 1\|255\) >>$DSlx_tmp6
echo "rm $DSlx_tmp2 $DSlx_tmp3 $DSlx_tmp4 $DSlx_tmp6 $DSlx_tmp8 2>/dev/null" >>$DSlx_tmp6
echo ykds >>$DSlx_tmp6
echo esac >>$DSlx_tmp6

. $DSlx_tmp6 ;rm $DSlx_tmp2 $DSlx_tmp3 $DSlx_tmp4 $DSlx_tmp6 $DSlx_tmp8 2>/dev/null


		DSlx_tmp9=/tmp/dslx.tmp9	# 储存已选电视剧每集的 [ 集数+ID ]
		DSlx_tmp10=/tmp/dslx.tmp10	# 备用，如果ID是倒序排列，就用tac命令倒过来暂存到这里

# 通过电视剧首页网址，获取第一集网址
DSlx_play_url1=`curl $DSlx_play_url 2>/dev/null|grep btnShow |awk -F '"' '{print $6}'`
# 通过第一集网址，获取该剧所有 [ 集数+ID ]
curl $DSlx_play_url1 2>/dev/null|grep 'title="第'|awk -F '"' '{print $12"\t"$10}'|sed 's/item_//g' >$DSlx_tmp9
# 如果得到的 [ 集数+ID ] 是倒序排列，就变成顺序排列
if [ `head -1 $DSlx_tmp9 |grep 第1集|wc -l` -ne 1 ] ; then
tac $DSlx_tmp9 >$DSlx_tmp10 
cat $DSlx_tmp10 >$DSlx_tmp9 && rm $DSlx_tmp10
fi

		DSlx_tmp11=/tmp/dslx.tmp11	# 用来生成电视剧全集菜单
		DSlx_tmp12=/tmp/dslx.tmp12	# 临时储存if语句
		DSlx_tmp13=/tmp/dslx.tmp13	# 储存将要联播每集的ID
		DSlx_tmp14=/tmp/dslx.tmp14	# 储存菜单选择结果(第？集)

		DSlx_get_nob=`cat $DSlx_tmp9|wc -l` # 计算有多少集
# 生成电视剧全集菜单
echo -ne "whiptail --title \"电视剧：《$DSlx_play_name》  已更新至$DSlx_get_nob集\" --menu \" \" 0 65 0 ">$DSlx_tmp11

for((DSlx_get_nobs=1;DSlx_get_nobs<=$DSlx_get_nob;DSlx_get_nobs++)) ;do
	echo -ne "\"$DSlx_play_name    ▶第$DSlx_get_nobs集\" \"\" " >>$DSlx_tmp11
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$DSlx_play_name    ▶第$DSlx_get_nobs集\" ]; then" >>$DSlx_tmp12
echo "if [ \"$DSlx_get_nobs\" -eq \"1\" ]; then" >>$DSlx_tmp12
echo "echo \`cat \$DSlx_tmp9|awk -F '\t' '{print \$2}'\` >\$DSlx_tmp13">>$DSlx_tmp12
echo -e "else" >>$DSlx_tmp12
echo "echo \`cat \$DSlx_tmp9|awk -F '\t' '{print \$2}'|sed '1,"`expr $DSlx_get_nobs - 1`"d'\` >\$DSlx_tmp13">>$DSlx_tmp12
echo -e "fi" >>$DSlx_tmp12
	echo -e "fi\n" >>$DSlx_tmp12
#------------------临时导出if/fi------------------
	done #; rm $DSlx_tmp9 >&/dev/null

echo " 2>\$DSlx_tmp14" >>$DSlx_tmp11
echo DSlx_get_back=\$? >>$DSlx_tmp11
echo menu_n=\`\<\$DSlx_tmp14\` >>$DSlx_tmp11
echo "case \$DSlx_get_back in" >>$DSlx_tmp11
echo "0)" >>$DSlx_tmp11

cat $DSlx_tmp12 >>$DSlx_tmp11 2>/dev/null ; rm $DSlx_tmp12 2>/dev/null
echo ";;" >>$DSlx_tmp11
echo "1|255)" >>$DSlx_tmp11
echo "rm $DSlx_tmp9 $DSlx_tmp11 $DSlx_tmp12 $DSlx_tmp14 >&/dev/null" >>$DSlx_tmp11
echo ykds >>$DSlx_tmp11
echo esac >>$DSlx_tmp11

. $DSlx_tmp11 ; rm $DSlx_tmp9 $DSlx_tmp11 $DSlx_tmp12 $DSlx_tmp14 >&/dev/null



		DSlx_tmp15=/tmp/dslx.tmp15	# 重复储存每一集播放列表

trap 'rm $Ykds_tmp2 $DSlx_tmp13 $DSlx_tmp15 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' "$DSlx_tmp13" # 重新排版ID库
DSlx_ids_nob=`cat $DSlx_tmp13|wc -l` # 计算有几个ID，就解析几次

	for (( DSlx_ids_nobs=1; DSlx_ids_nobs<=$DSlx_ids_nob; DSlx_ids_nobs++ )) ;do
	curl "$Flvcd`head -1 $DSlx_tmp13`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$DSlx_tmp15
	# 生成M3U播放列表
	sed -i '/^$/d' $DSlx_tmp15 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $DSlx_tmp15 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $DSlx_tmp15 >&/dev/null
	sed -i '1d' $DSlx_tmp13 >/dev/null 2>&1
	done ; rm $DSlx_tmp13 $DSlx_tmp15 >&/dev/null

ykds
}



dszt(){
		DSzt_tmp1=/tmp/dszt.tmp1	# 储存分类名和网址
		DSzt_tmp2=/tmp/dszt.tmp2	# 运行该文件显示地区分类
		DSzt_tmp3=/tmp/dszt.tmp3	# 临时储存if语句
		DSzt_tmp4=/tmp/dszt.tmp4	# 储存菜单选择结果


	# 获得分类名和网址
	cat $Ykds_tmp2 | grep -A 10 item3\
			|grep tv.youku.com\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's#</a></li>##g'\
			|sed 's/>//g' >$DSzt_tmp1

		DSzt_nob=`cat $DSzt_tmp1|wc -l` # 计算有几个分类

echo -ne "whiptail --title \"优 酷 电 视 剧 频 道：[ 按 状 态 ]\" --menu \"\" 0 65 0 " >$DSzt_tmp2

	for((DSzt_nobs=1;DSzt_nobs<=$DSzt_nob;DSzt_nobs++)) ;do
	echo -ne "\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 状 态\" " >>$DSzt_tmp2
#------------------临时导出if/fi------------------
echo "if [ \$menu_n = `head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'` ]; then" >>$DSzt_tmp3
echo "DSzt_name=\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'`\"" >>$DSzt_tmp3
echo "DSzt_url=\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $1}'`\"" >>$DSzt_tmp3
echo -e "fi\n" >>$DSzt_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $DSzt_tmp1 2>/dev/null
	done ; rm $DSzt_tmp1 2>/dev/null

echo " 2>\$DSzt_tmp4" >>$DSzt_tmp2
echo DSzt_back=\$? >>$DSzt_tmp2
echo menu_n=\`\<\$DSzt_tmp4\` >>$DSzt_tmp2

echo "case \$DSzt_back in" >>$DSzt_tmp2
echo "0)" >>$DSzt_tmp2
cat $DSzt_tmp3 >>$DSzt_tmp2 #; rm $DSzt_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$DSzt_tmp2
echo 1\|255\) >>$DSzt_tmp2
echo "rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 >&/dev/null" >>$DSzt_tmp2
echo ykds >>$DSzt_tmp2
echo esac >>$DSzt_tmp2

. $DSzt_tmp2 ; DSzt_tv_name=`cat $DSzt_tmp4` 
#; rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 2>/dev/null	# 运行该文件显示地区分类

		DSzt_tmp5=/tmp/dszt.tmp5	# 10页电视剧列表(300部电视剧)

# 通过该分类的链接，得到该分类第二页链接
# 类似这样http://tv.youku.com/search/index/_page40177_2_cmodid_40177?ccat40178%5Ba%5D=%E5%A4%A7%E9%99%86&m40177%5Bcc-ms-q%5D=a%7Carea%3A%E5%A4%A7%E9%99%86
DSzt_url2=`wget $DSzt_url -O - 2>/dev/null |grep '<li><a onclick="nova_update' |head -1|awk -F '"' '{print $4}'`

		# 把第二页网址分成三部分：左边+页码+右边
		DSzt_url_left=`echo $DSzt_url2|cut -d _ -f 1-2` 	# 每页网址左边
		DSzt_url_right=`echo $DSzt_url2|cut -d _ -f 4-10`	# 每页网址右边


# 循环下载10页电视剧列表(300部电视剧)
for((DSzt_pages=1;DSzt_pages<=1;DSzt_pages++)) ;do
wget "$DSzt_url_left"_"$DSzt_pages"_"$DSzt_url_right" -O - 2>/dev/null |grep '<li class="p_title">'|awk -F '"' '{print $6"\t"$4}' >>$DSzt_tmp5 ;done


		DSzt_tmp6=/tmp/dszt.tmp6	# 运行该文件显示电视剧选单
		DSzt_tmp7=/tmp/dszt.tmp7	# 临时储存if语句
		DSzt_tmp8=/tmp/dszt.tmp8	# 储存选单结果

		DSzt_nob1=`cat $DSzt_tmp5|wc -l` # 计算有多少部电视剧

# 确定播放哪部电视剧，记住该剧首页网址
echo -ne "whiptail --title \"为您提供$DSzt_nob1部 $DSzt_tv_name 电视剧\" --menu \"\" 0 65 0 " >$DSzt_tmp6

	for((DSzt_nob1s=1;DSzt_nob1s<=$DSzt_nob1;DSzt_nob1s++)) ;do
	echo -ne "\"▶ `head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\" \"\" " >>$DSzt_tmp6
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"▶ `head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\" ]; then" >>$DSzt_tmp7
echo "DSzt_play_name=\"`head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\"" >>$DSzt_tmp7
echo "DSzt_play_url=\"`head -1 $DSzt_tmp5|awk -F '\t' '{print $1}'`\"" >>$DSzt_tmp7
echo -e "fi\n" >>$DSzt_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $DSzt_tmp5 2>/dev/null
	done ; rm $DSzt_tmp5 2>/dev/null

echo " 2>\$DSzt_tmp8" >>$DSzt_tmp6
echo DSzt_tv_back=\$? >>$DSzt_tmp6
echo menu_n=\`\<\$DSzt_tmp8\` >>$DSzt_tmp6


echo "case \$DSzt_tv_back in" >>$DSzt_tmp6
echo "0)" >>$DSzt_tmp6
cat $DSzt_tmp7 >>$DSzt_tmp6 ; rm $DSzt_tmp7 2>/dev/null # 导入if/fi
echo \;\; >>$DSzt_tmp6
echo 1\|255\) >>$DSzt_tmp6
echo "rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 $DSzt_tmp6 $DSzt_tmp8 2>/dev/null" >>$DSzt_tmp6
echo ykds >>$DSzt_tmp6
echo esac >>$DSzt_tmp6

. $DSzt_tmp6 ;rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 $DSzt_tmp6 $DSzt_tmp8 2>/dev/null


		DSzt_tmp9=/tmp/dszt.tmp9	# 储存已选电视剧每集的 [ 集数+ID ]
		DSzt_tmp10=/tmp/dszt.tmp10	# 备用，如果ID是倒序排列，就用tac命令倒过来暂存到这里

# 通过电视剧首页网址，获取第一集网址
DSzt_play_url1=`curl $DSzt_play_url 2>/dev/null|grep btnShow |awk -F '"' '{print $6}'`
# 通过第一集网址，获取该剧所有 [ 集数+ID ]
curl $DSzt_play_url1 2>/dev/null|grep 'title="第'|awk -F '"' '{print $12"\t"$10}'|sed 's/item_//g' >$DSzt_tmp9
# 如果得到的 [ 集数+ID ] 是倒序排列，就变成顺序排列
if [ `head -1 $DSzt_tmp9 |grep 第1集|wc -l` -ne 1 ] ; then
tac $DSzt_tmp9 >$DSzt_tmp10 
cat $DSzt_tmp10 >$DSzt_tmp9 && rm $DSzt_tmp10
fi

		DSzt_tmp11=/tmp/dszt.tmp11	# 用来生成电视剧全集菜单
		DSzt_tmp12=/tmp/dszt.tmp12	# 临时储存if语句
		DSzt_tmp13=/tmp/dszt.tmp13	# 储存将要联播每集的ID
		DSzt_tmp14=/tmp/dszt.tmp14	# 储存菜单选择结果(第？集)

		DSzt_get_nob=`cat $DSzt_tmp9|wc -l` # 计算有多少集
# 生成电视剧全集菜单
echo -ne "whiptail --title \"电视剧：《$DSzt_play_name》  已更新至$DSzt_get_nob集\" --menu \" \" 0 65 0 ">$DSzt_tmp11

for((DSzt_get_nobs=1;DSzt_get_nobs<=$DSzt_get_nob;DSzt_get_nobs++)) ;do
	echo -ne "\"$DSzt_play_name    ▶第$DSzt_get_nobs集\" \"\" " >>$DSzt_tmp11
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$DSzt_play_name    ▶第$DSzt_get_nobs集\" ]; then" >>$DSzt_tmp12
echo "if [ \"$DSzt_get_nobs\" -eq \"1\" ]; then" >>$DSzt_tmp12
echo "echo \`cat \$DSzt_tmp9|awk -F '\t' '{print \$2}'\` >\$DSzt_tmp13">>$DSzt_tmp12
echo -e "else" >>$DSzt_tmp12
echo "echo \`cat \$DSzt_tmp9|awk -F '\t' '{print \$2}'|sed '1,"`expr $DSzt_get_nobs - 1`"d'\` >\$DSzt_tmp13">>$DSzt_tmp12
echo -e "fi" >>$DSzt_tmp12
	echo -e "fi\n" >>$DSzt_tmp12
#------------------临时导出if/fi------------------
	done #; rm $DSzt_tmp9 >&/dev/null

echo " 2>\$DSzt_tmp14" >>$DSzt_tmp11
echo DSzt_get_back=\$? >>$DSzt_tmp11
echo menu_n=\`\<\$DSzt_tmp14\` >>$DSzt_tmp11
echo "case \$DSzt_get_back in" >>$DSzt_tmp11
echo "0)" >>$DSzt_tmp11

cat $DSzt_tmp12 >>$DSzt_tmp11 2>/dev/null ; rm $DSzt_tmp12 2>/dev/null
echo ";;" >>$DSzt_tmp11
echo "1|255)" >>$DSzt_tmp11
echo "rm $DSzt_tmp9 $DSzt_tmp11 $DSzt_tmp12 $DSzt_tmp14 >&/dev/null" >>$DSzt_tmp11
echo ykds >>$DSzt_tmp11
echo esac >>$DSzt_tmp11

. $DSzt_tmp11 ; rm $DSzt_tmp9 $DSzt_tmp11 $DSzt_tmp12 $DSzt_tmp14 >&/dev/null



		DSzt_tmp15=/tmp/dszt.tmp15	# 重复储存每一集播放列表

trap 'rm $Ykds_tmp2 $DSzt_tmp13 $DSzt_tmp15 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' "$DSzt_tmp13" # 重新排版ID库
DSzt_ids_nob=`cat $DSzt_tmp13|wc -l` # 计算有几个ID，就解析几次

	for (( DSzt_ids_nobs=1; DSzt_ids_nobs<=$DSzt_ids_nob; DSzt_ids_nobs++ )) ;do
	curl "$Flvcd`head -1 $DSzt_tmp13`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$DSzt_tmp15
	# 生成M3U播放列表
	sed -i '/^$/d' $DSzt_tmp15 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $DSzt_tmp15 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $DSzt_tmp15 >&/dev/null
	sed -i '1d' $DSzt_tmp13 >/dev/null 2>&1
	done ; rm $DSzt_tmp13 $DSzt_tmp15 >&/dev/null

ykds
}



dszt(){
		DSzt_tmp1=/tmp/dszt.tmp1	# 储存分类名和网址
		DSzt_tmp2=/tmp/dszt.tmp2	# 运行该文件显示地区分类
		DSzt_tmp3=/tmp/dszt.tmp3	# 临时储存if语句
		DSzt_tmp4=/tmp/dszt.tmp4	# 储存菜单选择结果


	# 获得分类名和网址
	cat $Ykds_tmp2 | grep -A 10 item3|grep youku|awk -F '"' '{print $2"\t"$5}'|sed 's#</a></li>##g'|sed 's/>//g' >$DSzt_tmp1
#			|grep youku\
#			|awk -F '"' '{print $2"\t"$5}'\
#			|sed 's#</a></li>##g'\
#			|sed 's/>//g' >$DSzt_tmp1

		DSzt_nob=`cat $DSzt_tmp1|wc -l` # 计算有几个分类

echo -ne "whiptail --title \"优 酷 电 视 剧 频 道：[ 按 状 态 ]\" --menu \"\" 0 65 0 " >$DSzt_tmp2

	for((DSzt_nobs=1;DSzt_nobs<=$DSzt_nob;DSzt_nobs++)) ;do
	echo -ne "\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'`\" \" ◄  选 择 状 态\" " >>$DSzt_tmp2
#------------------临时导出if/fi------------------
echo "if [ \$menu_n = `head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'` ]; then" >>$DSzt_tmp3
echo "DSzt_name=\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $2}'`\"" >>$DSzt_tmp3
echo "DSzt_url=\"`head -1 $DSzt_tmp1|awk -F '\t' '{print $1}'`\"" >>$DSzt_tmp3
echo -e "fi\n" >>$DSzt_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $DSzt_tmp1 2>/dev/null
	done ; rm $DSzt_tmp1 2>/dev/null

echo " 2>\$DSzt_tmp4" >>$DSzt_tmp2
echo DSzt_back=\$? >>$DSzt_tmp2
echo menu_n=\`\<\$DSzt_tmp4\` >>$DSzt_tmp2

echo "case \$DSzt_back in" >>$DSzt_tmp2
echo "0)" >>$DSzt_tmp2
cat $DSzt_tmp3 >>$DSzt_tmp2 #; rm $DSzt_tmp3 >&/dev/null # 导入if/fi
echo \;\; >>$DSzt_tmp2
echo 1\|255\) >>$DSzt_tmp2
echo "rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 >&/dev/null" >>$DSzt_tmp2
echo ykds >>$DSzt_tmp2
echo esac >>$DSzt_tmp2

. $DSzt_tmp2



		DSzt_tmp5=/tmp/dszt.tmp5	# 10页电视剧列表(300部电视剧)

# 判断是那种类型URL：http://tv.youku.com/ 或 http://www.youku.com/v_olist/
echo $DSzt_url |grep www.youku.com &>/dev/null
if [ $? = 0 ] ; then
# 通过该分类的链接，得到该分类第二页链接
# 类似这样http://www.youku.com/v_olist/c_97_g__a__sg__mt__lg__q__s_1_r__u_0_pt_0_av_0_ag_0_sg__pr__h__d_1_p_2.html
DSzt_url2=`curl $DSzt_url 2>/dev/null |grep 下一页|awk -F '"' '{print $6}'|sed 's#^#http://www.youku.com#'`
		# 把第二页网址分成三部分：左边+页码+右边
		DSzt_url_left=`echo $DSzt_url2|cut -d _ -f  1-36` 	# 每页网址左边
		DSzt_url_right=`echo $DSzt_url2|cut -d . -f 4`	# 每页网址右边
	# 循环下载10页电视剧列表(300部电视剧)
	for((DSzt_pages=1;DSzt_pages<=1;DSzt_pages++)) ;do
	wget "$DSzt_url_left"_"$DSzt_pages"."$DSzt_url_right" -O - 2>/dev/null\
	|grep p-meta-title|awk -F '"' '{print $4"\t"$8}' >>$DSzt_tmp5 ;done

else
# 通过该分类的链接，得到该分类第二页链接
# 类似这样http://tv.youku.com/search/index/_page40177_2_cmodid_40177?ccat40178%5Ba%5D=%E5%A4%A7%E9%99%86&m40177%5Bcc-ms-q%5D=a%7Carea%3A%E5%A4%A7%E9%99%86
DSzt_url2=`wget $DSzt_url -O - 2>/dev/null |grep '<li><a onclick="nova_update' |head -1|awk -F '"' '{print $4}'`

		# 把第二页网址分成三部分：左边+页码+右边
		DSzt_url_left=`echo $DSzt_url2|cut -d _ -f 1-2` 	# 每页网址左边
		DSzt_url_right=`echo $DSzt_url2|cut -d _ -f 4-10`	# 每页网址右边
	# 循环下载10页电视剧列表(300部电视剧)
	for((DSzt_pages=1;DSzt_pages<=1;DSzt_pages++)) ;do
	wget "$DSzt_url_left"_"$DSzt_pages"_"$DSzt_url_right" -O - 2>/dev/null\
	|grep '<li class="p_title">'|awk -F '"' '{print $6"\t"$4}' >>$DSzt_tmp5 ;done
fi




		DSzt_tmp6=/tmp/dszt.tmp6	# 运行该文件显示电视剧选单
		DSzt_tmp7=/tmp/dszt.tmp7	# 临时储存if语句
		DSzt_tmp8=/tmp/dszt.tmp8	# 储存选单结果

		DSzt_nob1=`cat $DSzt_tmp5|wc -l` # 计算有多少部电视剧

# 确定播放哪部电视剧，记住该剧首页网址
echo -ne "whiptail --title \"为您提供$DSzt_nob1部 [ $DSzt_name ] 电视剧\" --menu \"\" 0 65 0 " >$DSzt_tmp6

	for((DSzt_nob1s=1;DSzt_nob1s<=$DSzt_nob1;DSzt_nob1s++)) ;do
	echo -ne "\"▶ `head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\" \"\" " >>$DSzt_tmp6
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"▶ `head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\" ]; then" >>$DSzt_tmp7
echo "DSzt_play_name=\"`head -1 $DSzt_tmp5|awk -F '\t' '{print $2}'`\"" >>$DSzt_tmp7
echo "DSzt_play_url=\"`head -1 $DSzt_tmp5|awk -F '\t' '{print $1}'`\"" >>$DSzt_tmp7
echo -e "fi\n" >>$DSzt_tmp7
#------------------临时导出if/fi------------------
	sed -i '1d' $DSzt_tmp5 2>/dev/null
	done ; rm $DSzt_tmp5 2>/dev/null

echo " 2>\$DSzt_tmp8" >>$DSzt_tmp6
echo DSzt_tv_back=\$? >>$DSzt_tmp6
echo menu_n=\`\<\$DSzt_tmp8\` >>$DSzt_tmp6


echo "case \$DSzt_tv_back in" >>$DSzt_tmp6
echo "0)" >>$DSzt_tmp6
cat $DSzt_tmp7 >>$DSzt_tmp6 ; rm $DSzt_tmp7 2>/dev/null # 导入if/fi
echo \;\; >>$DSzt_tmp6
echo 1\|255\) >>$DSzt_tmp6
echo "rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 $DSzt_tmp6 $DSzt_tmp8 2>/dev/null" >>$DSzt_tmp6
echo ykds >>$DSzt_tmp6
echo esac >>$DSzt_tmp6

. $DSzt_tmp6 ;rm $DSzt_tmp2 $DSzt_tmp3 $DSzt_tmp4 $DSzt_tmp6 $DSzt_tmp8 2>/dev/null


		DSzt_tmp9=/tmp/dszt.tmp9	# 储存已选电视剧每集的 [ 集数+ID ]
		DSzt_tmp10=/tmp/dszt.tmp10	# 备用，如果ID是倒序排列，就用tac命令倒过来暂存到这里

# 通过电视剧首页网址，获取第一集网址
DSzt_play_url1=`curl $DSzt_play_url 2>/dev/null|grep btnShow |awk -F '"' '{print $6}'`
# 通过第一集网址，获取该剧所有 [ 集数+ID ]
curl $DSzt_play_url1 2>/dev/null|grep 'title="第'|awk -F '"' '{print $12"\t"$10}'|sed 's/item_//g' >$DSzt_tmp9
# 如果得到的 [ 集数+ID ] 是倒序排列，就变成顺序排列
if [ `head -1 $DSzt_tmp9 |grep 第1集|wc -l` -ne 1 ] ; then
tac $DSzt_tmp9 >$DSzt_tmp10 
cat $DSzt_tmp10 >$DSzt_tmp9 && rm $DSzt_tmp10
fi

		DSzt_tmp11=/tmp/dszt.tmp11	# 用来生成电视剧全集菜单
		DSzt_tmp12=/tmp/dszt.tmp12	# 临时储存if语句
		DSzt_tmp13=/tmp/dszt.tmp13	# 储存将要联播每集的ID
		DSzt_tmp14=/tmp/dszt.tmp14	# 储存菜单选择结果(第？集)

		DSzt_get_nob=`cat $DSzt_tmp9|wc -l` # 计算有多少集
# 生成电视剧全集菜单
echo -ne "whiptail --title \"电视剧：《$DSzt_play_name》  已更新至$DSzt_get_nob集\" --menu \" \" 0 65 0 ">$DSzt_tmp11

for((DSzt_get_nobs=1;DSzt_get_nobs<=$DSzt_get_nob;DSzt_get_nobs++)) ;do
	echo -ne "\"$DSzt_play_name    ▶第$DSzt_get_nobs集\" \"\" " >>$DSzt_tmp11
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$DSzt_play_name    ▶第$DSzt_get_nobs集\" ]; then" >>$DSzt_tmp12
echo "if [ \"$DSzt_get_nobs\" -eq \"1\" ]; then" >>$DSzt_tmp12
echo "echo \`cat \$DSzt_tmp9|awk -F '\t' '{print \$2}'\` >\$DSzt_tmp13">>$DSzt_tmp12
echo -e "else" >>$DSzt_tmp12
echo "echo \`cat \$DSzt_tmp9|awk -F '\t' '{print \$2}'|sed '1,"`expr $DSzt_get_nobs - 1`"d'\` >\$DSzt_tmp13">>$DSzt_tmp12
echo -e "fi" >>$DSzt_tmp12
	echo -e "fi\n" >>$DSzt_tmp12
#------------------临时导出if/fi------------------
	done #; rm $DSzt_tmp9 >&/dev/null

echo " 2>\$DSzt_tmp14" >>$DSzt_tmp11
echo DSzt_get_back=\$? >>$DSzt_tmp11
echo menu_n=\`\<\$DSzt_tmp14\` >>$DSzt_tmp11
echo "case \$DSzt_get_back in" >>$DSzt_tmp11
echo "0)" >>$DSzt_tmp11

cat $DSzt_tmp12 >>$DSzt_tmp11 2>/dev/null ; rm $DSzt_tmp12 2>/dev/null
echo ";;" >>$DSzt_tmp11
echo "1|255)" >>$DSzt_tmp11
echo "rm $DSzt_tmp9 $DSzt_tmp11 $DSzt_tmp12 $DSzt_tmp14 >&/dev/null" >>$DSzt_tmp11
echo ykds >>$DSzt_tmp11
echo esac >>$DSzt_tmp11

. $DSzt_tmp11 ; rm $DSzt_tmp9 $DSzt_tmp11 $DSzt_tmp12 $DSzt_tmp14 >&/dev/null



		DSzt_tmp15=/tmp/dszt.tmp15	# 重复储存每一集播放列表

trap 'rm $Ykds_tmp2 $DSzt_tmp13 $DSzt_tmp15 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' "$DSzt_tmp13" # 重新排版ID库
DSzt_ids_nob=`cat $DSzt_tmp13|wc -l` # 计算有几个ID，就解析几次

	for (( DSzt_ids_nobs=1; DSzt_ids_nobs<=$DSzt_ids_nob; DSzt_ids_nobs++ )) ;do
	curl "$Flvcd`head -1 $DSzt_tmp13`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$DSzt_tmp15
	# 生成M3U播放列表
	sed -i '/^$/d' $DSzt_tmp15 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $DSzt_tmp15 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $DSzt_tmp15 >&/dev/null
	sed -i '1d' $DSzt_tmp13 >/dev/null 2>&1
	done ; rm $DSzt_tmp13 $DSzt_tmp15 >&/dev/null

ykds
}




dspf(){
		DSpf_tmp1=/tmp/dspf.tmp1	# 储存分类名和网址
		DSpf_tmp2=/tmp/dspf.tmp2	# 运行该文件显示地区分类
		DSpf_tmp3=/tmp/dspf.tmp3	# 临时储存if语句
		DSpf_tmp4=/tmp/dspf.tmp4	# 储存菜单选择结果


	# 获得分类名和网址
	cat $Ykds_tmp2 | grep -A 10 item4\
			|grep v.youku.com\
			|awk -F '"' '{print $2"\t"$5}'\
			|sed 's#</a></li>##g'\
			|sed 's/>//g' >$DSpf_tmp1

		DSpf_nob=`cat $DSpf_tmp1|wc -l` # 计算有几集

echo -ne "whiptail --title \"优 酷 评 分 最 高 的 $DSpf_nob 部 电 视 剧 频\" --menu \"\" 0 65 0 " >$DSpf_tmp2

	for((DSpf_nobs=1;DSpf_nobs<=$DSpf_nob;DSpf_nobs++)) ;do
	echo -ne "\"▶ `head -1 $DSpf_tmp1|awk -F '\t' '{print $2}'`\" \"\" " >>$DSpf_tmp2
#------------------临时导出if/fi------------------
echo "if [ \"\$menu_n\" = \"▶ `head -1 $DSpf_tmp1|awk -F '\t' '{print $2}'`\" ]; then" >>$DSpf_tmp3
echo "DSpf_play_name=\"`head -1 $DSpf_tmp1|awk -F '\t' '{print $2}'`\"" >>$DSpf_tmp3
echo "DSpf_play_url1=\"`head -1 $DSpf_tmp1|awk -F '\t' '{print $1}'`\"" >>$DSpf_tmp3
echo -e "fi\n" >>$DSpf_tmp3
#------------------临时导出if/fi------------------
	sed -i '1d' $DSpf_tmp1 2>/dev/null
	done ; rm $DSpf_tmp1 2>/dev/null

echo " 2>\$DSpf_tmp4" >>$DSpf_tmp2
echo DSpf_back=\$? >>$DSpf_tmp2
echo menu_n=\`\<\$DSpf_tmp4\` >>$DSpf_tmp2

echo "case \$DSpf_back in" >>$DSpf_tmp2
echo "0)" >>$DSpf_tmp2
cat $DSpf_tmp3 >>$DSpf_tmp2 ; rm $DSpf_tmp3 2>/dev/null # 导入if/fi
echo \;\; >>$DSpf_tmp2
echo 1\|255\) >>$DSpf_tmp2
echo "rm $DSpf_tmp2 $DSpf_tmp4 2>/dev/null" >>$DSpf_tmp2
echo ykds >>$DSpf_tmp2
echo esac >>$DSpf_tmp2

. $DSpf_tmp2 ; rm $DSpf_tmp2 $DSpf_tmp4 2>/dev/null


#------------------------------------------------------------------
		DSpf_tmp9=/tmp/dspf.tmp9	# 储存已选电视剧每集的 [ 集数+ID ]
		DSpf_tmp10=/tmp/dspf.tmp10	# 备用，如果ID是倒序排列，就用tac命令倒过来暂存到这里

# 通过第一集网址，获取该剧所有 [ 集数+ID ]
curl $DSpf_play_url1 2>/dev/null|grep 'title="第'|awk -F '"' '{print $12"\t"$10}'|sed 's/item_//g' >$DSpf_tmp9
# 如果得到的 [ 集数+ID ] 是倒序排列，就变成顺序排列
if [ `head -1 $DSpf_tmp9 |grep 第1集|wc -l` -ne 1 ] ; then
tac $DSpf_tmp9 >$DSpf_tmp10 
cat $DSpf_tmp10 >$DSpf_tmp9 && rm $DSpf_tmp10
fi

		DSpf_tmp11=/tmp/dspf.tmp11	# 用来生成电视剧全集菜单
		DSpf_tmp12=/tmp/dspf.tmp12	# 临时储存if语句
		DSpf_tmp13=/tmp/dspf.tmp13	# 储存将要联播每集的ID
		DSpf_tmp14=/tmp/dspf.tmp14	# 储存菜单选择结果(第？集)

		DSpf_get_nob=`cat $DSpf_tmp9|wc -l` # 计算有多少集
# 生成电视剧全集菜单
echo -ne "whiptail --title \"电视剧：《$DSpf_play_name》  已更新至$DSpf_get_nob集\" --menu \" \" 0 65 0 ">$DSpf_tmp11

for((DSpf_get_nobs=1;DSpf_get_nobs<=$DSpf_get_nob;DSpf_get_nobs++)) ;do
	echo -ne "\"$DSpf_play_name    ▶第$DSpf_get_nobs集\" \"\" " >>$DSpf_tmp11
#------------------临时导出if/fi------------------假设选择第5集，就删除前4集的ID
	echo "if [ \"\$menu_n\" = \"$DSpf_play_name    ▶第$DSpf_get_nobs集\" ]; then" >>$DSpf_tmp12
echo "if [ \"$DSpf_get_nobs\" -eq \"1\" ]; then" >>$DSpf_tmp12
echo "echo \`cat \$DSpf_tmp9|awk -F '\t' '{print \$2}'\` >\$DSpf_tmp13">>$DSpf_tmp12
echo -e "else" >>$DSpf_tmp12
echo "echo \`cat \$DSpf_tmp9|awk -F '\t' '{print \$2}'|sed '1,"`expr $DSpf_get_nobs - 1`"d'\` >\$DSpf_tmp13">>$DSpf_tmp12
echo -e "fi" >>$DSpf_tmp12
	echo -e "fi\n" >>$DSpf_tmp12
#------------------临时导出if/fi------------------
	done #; rm $DSpf_tmp9 >&/dev/null

echo " 2>\$DSpf_tmp14" >>$DSpf_tmp11
echo DSpf_get_back=\$? >>$DSpf_tmp11
echo menu_n=\`\<\$DSpf_tmp14\` >>$DSpf_tmp11
echo "case \$DSpf_get_back in" >>$DSpf_tmp11
echo "0)" >>$DSpf_tmp11

cat $DSpf_tmp12 >>$DSpf_tmp11 2>/dev/null ; rm $DSpf_tmp12 2>/dev/null
echo ";;" >>$DSpf_tmp11
echo "1|255)" >>$DSpf_tmp11
echo "rm $DSpf_tmp9 $DSpf_tmp11 $DSpf_tmp12 $DSpf_tmp14 >&/dev/null" >>$DSpf_tmp11
echo ykds >>$DSpf_tmp11
echo esac >>$DSpf_tmp11

. $DSpf_tmp11 ; rm $DSpf_tmp9 $DSpf_tmp11 $DSpf_tmp12 $DSpf_tmp14 >&/dev/null



		DSpf_tmp15=/tmp/dspf.tmp15	# 重复储存每一集播放列表

trap 'rm $Ykds_tmp2 $DSpf_tmp13 $DSpf_tmp15 >&/dev/null ;exit' INT
# 解析每集ID，调用mplayer连续播放
sed -i 's/ /\n/g' "$DSpf_tmp13" # 重新排版ID库
DSpf_ids_nob=`cat $DSpf_tmp13|wc -l` # 计算有几个ID，就解析几次

	for (( DSpf_ids_nobs=1; DSpf_ids_nobs<=$DSpf_ids_nob; DSpf_ids_nobs++ )) ;do
	curl "$Flvcd`head -1 $DSpf_tmp13`" 2>/dev/null|grep '<a href="http://f.youku.com' \
					| awk -F '"' '{print $2}' >$DSpf_tmp15
	# 生成M3U播放列表
	sed -i '/^$/d' $DSpf_tmp15 2>/dev/null
	sed -i -e 's/ /\n/g' -e '1i\#EXTM3U\' $DSpf_tmp15 2>/dev/null
	mplayer -fs -stop-xscreensaver -playlist $DSpf_tmp15 >&/dev/null
	sed -i '1d' $DSpf_tmp13 >/dev/null 2>&1
	done ; rm $DSpf_tmp13 $DSpf_tmp15 >&/dev/null

ykds
}





ykds(){

		Ykds_tmp1=/tmp/ykds.tmp1 # 储存菜单结果
		Ykds_tmp2=/tmp/ykds.tmp2 # 下载优酷电视频道首页

# 下载优酷电视首页
curl 'http://tv.youku.com' -o $Ykds_tmp2 2>/dev/null

# 变量用于生成菜单
DiQu=`cat $Ykds_tmp2 | grep -A 10 item1|grep href|sed -r 's/<li>(.+)blank">//g'|sed -r 's/<\/a><\/li>//g'|sed 's/\t//g'|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
LeiXing=`cat $Ykds_tmp2 | grep -A 10 item2|grep href|sed -r 's/<li>(.+)blank">//g'|sed -r 's/<\/a><\/li>//g'|sed 's/\t//g'|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
ZhuangTai=`cat $Ykds_tmp2 | grep -A 10 item3|grep href|sed -r 's/<li>(.+)blank">//g'|sed -r 's/<\/a><\/li>//g'|sed 's/\t//g'|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
PingFen=`cat $Ykds_tmp2 | grep -A 10 item4|grep href|sed -r 's/<li>(.+)blank">//g'|sed -r 's/<\/a><\/li>//g'|sed 's/\t//g'|tr -s '\n' '\\'|sed 's/.$//' 2>/dev/null`
printf "\033c"

whiptail --title "优 酷 电 视 剧 频 道" --menu " " 0 65 0 \
	"[ 按 地 区 ]" "$DiQu" \
	"[ 按 类 型 ]" "$LeiXing" \
	"[ 按 状 态 ]" "$ZhuangTai" \
	"[ 按 评 分 ]" "$PingFen" 2>$Ykds_tmp1

	Ykds_back=$?
	menu_n=`<$Ykds_tmp1` ; rm $Ykds_tmp1 2>/dev/null

	case $Ykds_back in
	0)
  		if [ "$menu_n" = "[ 按 地 区 ]" ]; then
    		dsdq
		fi

		if [ "$menu_n" = "[ 按 类 型 ]" ]; then
		dslx
		fi

		if [ "$menu_n" = "[ 按 状 态 ]" ]; then
		dszt
		fi

		if [ "$menu_n" = "[ 按 评 分 ]" ]; then
		dspf
		fi
  	;;
	1|255) 
		rm $Ykds_tmp2 2>/dev/null		
		youku_menu
	esac
}
ykds
youku_menu
}	






#-----------------------------优酷菜单-----------------------------
youku_menu(){
Youku_menu_tmp=/tmp/youku.menu.tmp
$dialog --title "优 酷 视 频" --menu " " 17 65 8 \
	"搜 索 电 视" " ◄  关键词查找电视剧" \
	"搜 索 电 影" " ◄  搜索你想看的电影" \
	"搜 索 视 频" " ◄  搜索感兴趣的视频" \
	"搜 索 用 户" " ◄  播放任何用户的全部视频" \
	"解 析 优 酷 网 址" " ◄  粘贴网址即可播放" \
	"综 艺 导 航" " ◄  收看最新的综艺节目" \
	"电 影 导 航" " ◄  分类浏览电影频道" \
	"电 视 导 航" " ◄  分类浏览电视频道" 2>$Youku_menu_tmp
	abc=$?
	menu_n=`<$Youku_menu_tmp` ; rm $Youku_menu_tmp >&/dev/null
	case $abc in
	0)
  		if [ "$menu_n" = "解 析 优 酷 网 址" ]; then
    		url
		fi

		if [ "$menu_n" = "搜 索 电 视" ]; then
		tv
		fi

		if [ "$menu_n" = "搜 索 电 影" ]; then
		movie
		fi

		if [ "$menu_n" = "搜 索 视 频" ]; then
		video
		fi

		if [ "$menu_n" = "搜 索 用 户" ]; then
		usr
		fi

		if [ "$menu_n" = "综 艺 导 航" ]; then
		zy
		fi

		if [ "$menu_n" = "电 影 导 航" ]; then
		dy
		fi

		if [ "$menu_n" = "电 视 导 航" ]; then
		ds
		fi
  	;;
	1|255) 
		tool
	esac
}
youku_menu
